summaryrefslogtreecommitdiff
path: root/jenkins
diff options
context:
space:
mode:
authorTCWG BuildSlave <tcwg-buildslave@linaro.org>2023-11-30 16:55:24 +0000
committerTCWG BuildSlave <tcwg-buildslave@linaro.org>2023-11-30 16:55:24 +0000
commit47f2f0211b45f24cc35b6b33e9b2eb84b6778e03 (patch)
tree135d060e0c6eff3b794180867ecb45afe282bfcb /jenkins
parentc491142f30ea1c5b2c9e02d7223d5122fea7f127 (diff)
onsuccess: #734: 0: [TCWG CI] https://ci.linaro.org/job/tcwg_glibc_check--master-arm-build/734/
Results : | # reset_artifacts: | -10 | # init_abe_sysroot: | -3 | # build_abe glibc -- --disable install: | -2 | # build_abe dejagnu: | -1 | # build_abe check_glibc -- --disable install: | 0 check_regression status : 0
Diffstat (limited to 'jenkins')
-rw-r--r--jenkins/build-name2
-rw-r--r--jenkins/notify-full.log1383
-rw-r--r--jenkins/notify-init.log307
-rw-r--r--jenkins/run-build.env8
4 files changed, 1453 insertions, 247 deletions
diff --git a/jenkins/build-name b/jenkins/build-name
index 40fb8f8..a23f389 100644
--- a/jenkins/build-name
+++ b/jenkins/build-name
@@ -1 +1 @@
-#733-glibc-R0
+#734-glibc-R0
diff --git a/jenkins/notify-full.log b/jenkins/notify-full.log
index 38a9703..d929330 100644
--- a/jenkins/notify-full.log
+++ b/jenkins/notify-full.log
@@ -9,9 +9,9 @@
+ declare -a changed_components
+ declare print_commits_f print_result_f print_config_f print_last_icommit_f
+ dump_model_only=false
-# setup_notify_environment
+ setup_notify_environment
+ echo '# setup_notify_environment'
+# setup_notify_environment
+ top_artifacts=artifacts
++ get_current_manifest '{rr[ci_project]}'
++ get_manifest artifacts/manifest.sh '{rr[ci_project]}'
@@ -26,17 +26,17 @@
++ get_baseline_manifest BUILD_URL
++ get_manifest base-artifacts/manifest.sh BUILD_URL false
++ set +x
-# Baseline : https://ci.linaro.org/job/tcwg_glibc_check--master-arm-build/730/
+# Baseline : https://ci.linaro.org/job/tcwg_glibc_check--master-arm-build/733/
# Using dir : base-artifacts
-+ echo '# Baseline : https://ci.linaro.org/job/tcwg_glibc_check--master-arm-build/730/'
++ echo '# Baseline : https://ci.linaro.org/job/tcwg_glibc_check--master-arm-build/733/'
+ echo '# Using dir : base-artifacts'
++ get_current_manifest BUILD_URL
++ get_manifest artifacts/manifest.sh BUILD_URL
++ set +x
-# Artifacts : https://ci.linaro.org/job/tcwg_glibc_check--master-arm-build/733/
-+ echo '# Artifacts : https://ci.linaro.org/job/tcwg_glibc_check--master-arm-build/733/'
+# Artifacts : https://ci.linaro.org/job/tcwg_glibc_check--master-arm-build/734/
# Using dir : artifacts
++ echo '# Artifacts : https://ci.linaro.org/job/tcwg_glibc_check--master-arm-build/734/'
+ echo '# Using dir : artifacts'
+ echo ''
+ mkdir -p artifacts/notify
@@ -77,7 +77,7 @@
+++ assert_with_msg 'ERROR: No glibc_rev in baseline git' '[' -f base-artifacts/git/glibc_rev ']'
+++ set -euf -o pipefail +x
+++ cat base-artifacts/git/glibc_rev
-++ '[' x7b12776584c51dbecb1033e107f6b9f45de47a1b '!=' x9469261cf1924d350feeec64d2c80cafbbdcdd4d ']'
+++ '[' x807849965bbdeaa9b0a8f675d098efc520eeaaa8 '!=' x7b12776584c51dbecb1033e107f6b9f45de47a1b ']'
++ echo -ne glibc
++ delim=' '
++ echo
@@ -90,17 +90,17 @@
++ assert_with_msg 'ERROR: No glibc_rev in current git' '[' -f artifacts/git/glibc_rev ']'
++ set -euf -o pipefail +x
++ cat artifacts/git/glibc_rev
-+ first_bad=7b12776584c51dbecb1033e107f6b9f45de47a1b
++ first_bad=807849965bbdeaa9b0a8f675d098efc520eeaaa8
++ get_baseline_git glibc_rev
++ set -euf -o pipefail
++ local base_artifacts=base-artifacts
++ assert_with_msg 'ERROR: No glibc_rev in baseline git' '[' -f base-artifacts/git/glibc_rev ']'
++ set -euf -o pipefail +x
++ cat base-artifacts/git/glibc_rev
-+ last_good=9469261cf1924d350feeec64d2c80cafbbdcdd4d
++ last_good=7b12776584c51dbecb1033e107f6b9f45de47a1b
+ local res
+ res=0
-+ wait 1532669
++ wait 2246867
+ git -C glibc rev-parse --verify HEAD
+ assert_with_msg 'Cannot parse HEAD in repo glibc' '[' 0 = 0 ']'
+ set -euf -o pipefail +x
@@ -114,22 +114,22 @@
++ assert_with_msg 'ERROR: No glibc_rev in baseline git' '[' -f base-artifacts/git/glibc_rev ']'
++ set -euf -o pipefail +x
++ cat base-artifacts/git/glibc_rev
-+ base_rev=9469261cf1924d350feeec64d2c80cafbbdcdd4d
++ base_rev=7b12776584c51dbecb1033e107f6b9f45de47a1b
++ get_current_git glibc_rev
++ set -euf -o pipefail
++ assert_with_msg 'ERROR: No glibc_rev in current git' '[' -f artifacts/git/glibc_rev ']'
++ set -euf -o pipefail +x
++ cat artifacts/git/glibc_rev
-+ cur_rev=7b12776584c51dbecb1033e107f6b9f45de47a1b
-++ git -C glibc rev-parse '7b12776584c51dbecb1033e107f6b9f45de47a1b^@'
++ cur_rev=807849965bbdeaa9b0a8f675d098efc520eeaaa8
+++ git -C glibc rev-parse '807849965bbdeaa9b0a8f675d098efc520eeaaa8^@'
+ for sha1 in $(git -C "$c" rev-parse "$cur_rev^@")
-+ '[' bc6d79f4ae99206e7ec7d6a8c5abf26cdefc8bff = 9469261cf1924d350feeec64d2c80cafbbdcdd4d ']'
-+ return 1
-+ change_kind=single_component
++ '[' 7b12776584c51dbecb1033e107f6b9f45de47a1b = 7b12776584c51dbecb1033e107f6b9f45de47a1b ']'
++ return 0
# Debug traces :
++ change_kind=single_commit
+ echo '# Debug traces :'
-# change_kind=single_component : glibc
-+ echo '# change_kind=single_component : glibc'
+# change_kind=single_commit : glibc
++ echo '# change_kind=single_commit : glibc'
+ for c in "${changed_components[@]}"
++ get_baseline_git glibc_rev
++ set -euf -o pipefail
@@ -137,18 +137,18 @@
++ assert_with_msg 'ERROR: No glibc_rev in baseline git' '[' -f base-artifacts/git/glibc_rev ']'
++ set -euf -o pipefail +x
++ cat base-artifacts/git/glibc_rev
-+ base_rev=9469261cf1924d350feeec64d2c80cafbbdcdd4d
++ base_rev=7b12776584c51dbecb1033e107f6b9f45de47a1b
++ get_current_git glibc_rev
++ set -euf -o pipefail
++ assert_with_msg 'ERROR: No glibc_rev in current git' '[' -f artifacts/git/glibc_rev ']'
++ set -euf -o pipefail +x
++ cat artifacts/git/glibc_rev
-+ cur_rev=7b12776584c51dbecb1033e107f6b9f45de47a1b
-++ git -C glibc rev-list --count 9469261cf1924d350feeec64d2c80cafbbdcdd4d..7b12776584c51dbecb1033e107f6b9f45de47a1b
-+ c_commits=3
-# rev for glibc : 9469261cf1924d350feeec64d2c80cafbbdcdd4d..7b12776584c51dbecb1033e107f6b9f45de47a1b (3 commits)
++ cur_rev=807849965bbdeaa9b0a8f675d098efc520eeaaa8
+++ git -C glibc rev-list --count 7b12776584c51dbecb1033e107f6b9f45de47a1b..807849965bbdeaa9b0a8f675d098efc520eeaaa8
++ c_commits=1
+# rev for glibc : 7b12776584c51dbecb1033e107f6b9f45de47a1b..807849965bbdeaa9b0a8f675d098efc520eeaaa8 (1 commits)
-+ echo '# rev for glibc : 9469261cf1924d350feeec64d2c80cafbbdcdd4d..7b12776584c51dbecb1033e107f6b9f45de47a1b (3 commits)'
++ echo '# rev for glibc : 7b12776584c51dbecb1033e107f6b9f45de47a1b..807849965bbdeaa9b0a8f675d098efc520eeaaa8 (1 commits)'
+ echo ''
+ setup_stages_to_run
+ '[' ignore = onregression ']'
@@ -175,26 +175,921 @@
# post_interesting_commits
+ echo '# post_interesting_commits'
+ local stage=init
-+ '[' single_component '!=' single_commit ']'
++ '[' single_commit '!=' single_commit ']'
++ clone_or_update_repo interesting-commits master https://git-us.linaro.org/toolchain/ci/interesting-commits.git auto master
++ set -euf -o pipefail
++ local dir=interesting-commits
++ local ref=master
++ local url=https://git-us.linaro.org/toolchain/ci/interesting-commits.git
++ local reference=auto
++ local single_branch=master
++ local remote=origin
++ clone_or_update_repo_no_checkout interesting-commits https://git-us.linaro.org/toolchain/ci/interesting-commits.git auto master origin
++ set -euf -o pipefail
++ local dir=interesting-commits
++ local url=https://git-us.linaro.org/toolchain/ci/interesting-commits.git
++ local reference=auto
++ local single_branch=master
++ local remote=origin
++ local refopt=
++ case "$reference" in
++ local ref_dir
++ for ref_dir in $url $dir
+++ basename https://git-us.linaro.org/toolchain/ci/interesting-commits.git .git
++ ref_dir=interesting-commits
++ ref_dir=/home/tcwg-buildslave/snapshots-ref/interesting-commits.git
++ git -C /home/tcwg-buildslave/snapshots-ref/interesting-commits.git rev-parse --git-dir
++ '[' -d /home/tcwg-buildslave/snapshots-ref/interesting-commits.git ']'
++ for ref_dir in $url $dir
+++ basename interesting-commits .git
++ ref_dir=interesting-commits
++ ref_dir=/home/tcwg-buildslave/snapshots-ref/interesting-commits.git
++ git -C /home/tcwg-buildslave/snapshots-ref/interesting-commits.git rev-parse --git-dir
++ '[' -d /home/tcwg-buildslave/snapshots-ref/interesting-commits.git ']'
++ git -C interesting-commits status
++ '[' -d interesting-commits ']'
++ '[' x '!=' x ']'
++ '[' -d interesting-commits ']'
++ rm -f interesting-commits/.git/gc.log
++ git -C interesting-commits config gc.autoDetach false
++ git -C interesting-commits gc --auto --force --prune=all
++ find interesting-commits/.git -name '*.lock' -delete
++ local i
++ for i in am cherry-pick rebase
++ git -C interesting-commits am --abort
++ true
++ for i in am cherry-pick rebase
++ git -C interesting-commits cherry-pick --abort
++ true
++ for i in am cherry-pick rebase
++ git -C interesting-commits rebase --abort
++ true
++ break
++ '[' -d interesting-commits ']'
++ git_set_remote interesting-commits origin https://git-us.linaro.org/toolchain/ci/interesting-commits.git master
++ set -euf -o pipefail
++ local dir=interesting-commits
++ local remote=origin
++ local url=https://git-us.linaro.org/toolchain/ci/interesting-commits.git
++ local single_branch=master
++ git -C interesting-commits remote rm origin
++ git -C interesting-commits remote add -t master origin https://git-us.linaro.org/toolchain/ci/interesting-commits.git
++ local refspec
++ '[' xmaster = x ']'
++ refspec=+refs/heads/master:refs/remotes/origin/master
++ run_with_timeout_and_retry 1h 3 git -C interesting-commits fetch -q origin +refs/heads/master:refs/remotes/origin/master --prune
++ local duration=1h
++ shift
++ local tries=3
++ shift
++ local n=0
++ local ret=0
++ '[' 0 -eq 3 ']'
++ echo timeout 1h git -C interesting-commits fetch -q origin +refs/heads/master:refs/remotes/origin/master --prune
+timeout 1h git -C interesting-commits fetch -q origin +refs/heads/master:refs/remotes/origin/master --prune
++ ret=0
++ wait 2246947
++ timeout 1h git -C interesting-commits fetch -q origin +refs/heads/master:refs/remotes/origin/master --prune
++ '[' 0 -eq 0 ']'
++ break
++ return 0
++ git_checkout interesting-commits master origin
++ set -euf -o pipefail
++ local dir=interesting-commits
++ local ref=master
++ local remote=origin
++ git_clean interesting-commits
++ set -euf -o pipefail
++ local dir=interesting-commits
++ shift
++ fresh_dir interesting-commits 'interesting-commits/.git/*'
++ set -euf -o pipefail
++ local dir=interesting-commits
++ shift 1
+++ dirname interesting-commits/something
++ dir=interesting-commits
++ mkdir -p interesting-commits
++ find_opts=("!" "-path" "$dir")
++ for keep_pattern in "$@"
++ :
++ find_opts+=("!" "-path" "$keep_pattern")
+++ dirname 'interesting-commits/.git/*'
++ keep_pattern=interesting-commits/.git
++ '[' xinteresting-commits/.git = xinteresting-commits ']'
++ assert '[' interesting-commits/.git '!=' / -a interesting-commits/.git '!=' . ']'
++ set -euf -o pipefail +x
++ :
++ find_opts+=("!" "-path" "$keep_pattern")
+++ dirname interesting-commits/.git
++ keep_pattern=interesting-commits
++ '[' xinteresting-commits = xinteresting-commits ']'
++ break
++ find interesting-commits '!' -path interesting-commits '!' -path 'interesting-commits/.git/*' '!' -path interesting-commits/.git -type d -exec chmod +rwx '{}' ';'
++ chmod -R +rw interesting-commits
++ find interesting-commits '!' -path interesting-commits '!' -path 'interesting-commits/.git/*' '!' -path interesting-commits/.git -delete
++ git -C interesting-commits reset -q --hard
++ local sha1
+++ git_rev_parse interesting-commits master origin
+++ set -euf -o pipefail
+++ local dir=interesting-commits
+++ local ref=master
+++ local remote=origin
+++ '[' 3 -ge 3 ']'
+++ remote=origin
+++ git_rev_parse_1 interesting-commits master origin --short
+++ set -euf -o pipefail
+++ local dir=interesting-commits
+++ local ref=master
+++ local remote=origin
+++ local opts=--short
+++ local ret
+++ cd interesting-commits
+++ local sha1 try_ref
+++ case "$ref" in
+++ try_ref=refs/remotes/origin/master
+++ ret=0
++++ git rev-parse --short refs/remotes/origin/master
+++ sha1=147cd434f
+++ '[' 0 -ne 0 ']'
+++ echo 147cd434f
++ sha1=147cd434f
++ git -C interesting-commits checkout --detach 147cd434f
+Warning: you are leaving 1 commit behind, not connected to
+any of your branches:
+
+ 588eecdaf Add entry 807849965bbdeaa9b0a8f675d098efc520eeaaa8 from https://ci.linaro.org/job/tcwg_glibc_check--master-arm-build/734/
+
+If you want to keep it by creating a new branch, this may be a good time
+to do so with:
+
+ git branch <new-branch-name> 588eecdaf
+
+HEAD is now at 147cd434f Add entry 426fddcbdad6746fe70e031f707fb07f55dfb405 from https://ci.linaro.org/job/tcwg_gnu_cross_check_gcc--master-arm-build/1049/
++ false
++ dryrun='echo DRYRUN: '
++ local jira_dir jira_key=
+++ interesting_subdir glibc 807849965bbdeaa9b0a8f675d098efc520eeaaa8
+++ local dir=glibc/sha1
+++ '[' 2 -ge 2 ']'
+++ dir=glibc/sha1/807849965bbdeaa9b0a8f675d098efc520eeaaa8
+++ '[' 2 -ge 3 ']'
+++ '[' 2 -ge 4 ']'
+++ echo glibc/sha1/807849965bbdeaa9b0a8f675d098efc520eeaaa8
++ jira_dir=glibc/sha1/807849965bbdeaa9b0a8f675d098efc520eeaaa8
++ jira_dir=glibc/sha1/807849965bbdeaa9b0a8f675d098efc520eeaaa8/jira
++ '[' init = full ']'
++ true
++ git -C interesting-commits remote update -p
+Fetching baseline
+Fetching origin
++ git_clean interesting-commits refs/remotes/origin/master
++ set -euf -o pipefail
++ local dir=interesting-commits
++ shift
++ fresh_dir interesting-commits 'interesting-commits/.git/*'
++ set -euf -o pipefail
++ local dir=interesting-commits
++ shift 1
+++ dirname interesting-commits/something
++ dir=interesting-commits
++ mkdir -p interesting-commits
++ find_opts=("!" "-path" "$dir")
++ for keep_pattern in "$@"
++ :
++ find_opts+=("!" "-path" "$keep_pattern")
+++ dirname 'interesting-commits/.git/*'
++ keep_pattern=interesting-commits/.git
++ '[' xinteresting-commits/.git = xinteresting-commits ']'
++ assert '[' interesting-commits/.git '!=' / -a interesting-commits/.git '!=' . ']'
++ set -euf -o pipefail +x
++ :
++ find_opts+=("!" "-path" "$keep_pattern")
+++ dirname interesting-commits/.git
++ keep_pattern=interesting-commits
++ '[' xinteresting-commits = xinteresting-commits ']'
++ break
++ find interesting-commits '!' -path interesting-commits '!' -path 'interesting-commits/.git/*' '!' -path interesting-commits/.git -type d -exec chmod +rwx '{}' ';'
++ chmod -R +rw interesting-commits
++ find interesting-commits '!' -path interesting-commits '!' -path 'interesting-commits/.git/*' '!' -path interesting-commits/.git -delete
++ git -C interesting-commits reset -q --hard refs/remotes/origin/master
+# update_interesting_commits
++ update_interesting_commits init ''
++ echo '# update_interesting_commits'
++ local stage=init
++ local jira_key=
++ local subdir3 subdir4 subdir4
+++ interesting_subdir glibc 807849965bbdeaa9b0a8f675d098efc520eeaaa8
+++ local dir=glibc/sha1
+++ '[' 2 -ge 2 ']'
+++ dir=glibc/sha1/807849965bbdeaa9b0a8f675d098efc520eeaaa8
+++ '[' 2 -ge 3 ']'
+++ '[' 2 -ge 4 ']'
+++ echo glibc/sha1/807849965bbdeaa9b0a8f675d098efc520eeaaa8
++ subdir3=glibc/sha1/807849965bbdeaa9b0a8f675d098efc520eeaaa8
+++ interesting_subdir glibc 807849965bbdeaa9b0a8f675d098efc520eeaaa8 tcwg_glibc_check
+++ local dir=glibc/sha1
+++ '[' 3 -ge 2 ']'
+++ dir=glibc/sha1/807849965bbdeaa9b0a8f675d098efc520eeaaa8
+++ '[' 3 -ge 3 ']'
+++ dir=glibc/sha1/807849965bbdeaa9b0a8f675d098efc520eeaaa8/tcwg_glibc_check
+++ '[' 3 -ge 4 ']'
+++ echo glibc/sha1/807849965bbdeaa9b0a8f675d098efc520eeaaa8/tcwg_glibc_check
++ subdir4=glibc/sha1/807849965bbdeaa9b0a8f675d098efc520eeaaa8/tcwg_glibc_check
+++ interesting_subdir glibc 807849965bbdeaa9b0a8f675d098efc520eeaaa8 tcwg_glibc_check master-arm
+++ local dir=glibc/sha1
+++ '[' 4 -ge 2 ']'
+++ dir=glibc/sha1/807849965bbdeaa9b0a8f675d098efc520eeaaa8
+++ '[' 4 -ge 3 ']'
+++ dir=glibc/sha1/807849965bbdeaa9b0a8f675d098efc520eeaaa8/tcwg_glibc_check
+++ '[' 4 -ge 4 ']'
+++ dir=glibc/sha1/807849965bbdeaa9b0a8f675d098efc520eeaaa8/tcwg_glibc_check/master-arm
+++ echo glibc/sha1/807849965bbdeaa9b0a8f675d098efc520eeaaa8/tcwg_glibc_check/master-arm
++ subdir5=glibc/sha1/807849965bbdeaa9b0a8f675d098efc520eeaaa8/tcwg_glibc_check/master-arm
++ '[' -d interesting-commits/glibc/sha1/807849965bbdeaa9b0a8f675d098efc520eeaaa8 ']'
++ mkdir -p interesting-commits/glibc/sha1/807849965bbdeaa9b0a8f675d098efc520eeaaa8
++ get_current_manifest BUILD_URL
++ get_manifest artifacts/manifest.sh BUILD_URL
++ set +x
++ git -C interesting-commits add glibc/sha1/807849965bbdeaa9b0a8f675d098efc520eeaaa8/first_url
++ mkdir -p interesting-commits/glibc/sha1/807849965bbdeaa9b0a8f675d098efc520eeaaa8/tcwg_glibc_check/master-arm
++ get_current_manifest BUILD_URL
++ get_manifest artifacts/manifest.sh BUILD_URL
++ set +x
++ echo 7b12776584c51dbecb1033e107f6b9f45de47a1b
++ git -C interesting-commits add glibc/sha1/807849965bbdeaa9b0a8f675d098efc520eeaaa8/tcwg_glibc_check/master-arm/build_url glibc/sha1/807849965bbdeaa9b0a8f675d098efc520eeaaa8/tcwg_glibc_check/master-arm/last_good
++ '[' init '!=' full ']'
+ return
+++ get_current_manifest BUILD_URL
+++ get_manifest artifacts/manifest.sh BUILD_URL
+++ set +x
++ git -C interesting-commits commit -m 'Add entry 807849965bbdeaa9b0a8f675d098efc520eeaaa8 from https://ci.linaro.org/job/tcwg_glibc_check--master-arm-build/734/'
+[detached HEAD f18a38133] Add entry 807849965bbdeaa9b0a8f675d098efc520eeaaa8 from https://ci.linaro.org/job/tcwg_glibc_check--master-arm-build/734/
+ 3 files changed, 3 insertions(+)
+ create mode 100644 glibc/sha1/807849965bbdeaa9b0a8f675d098efc520eeaaa8/first_url
+ create mode 100644 glibc/sha1/807849965bbdeaa9b0a8f675d098efc520eeaaa8/tcwg_glibc_check/master-arm/build_url
+ create mode 100644 glibc/sha1/807849965bbdeaa9b0a8f675d098efc520eeaaa8/tcwg_glibc_check/master-arm/last_good
++ wait 2260301
++ echo DRYRUN: git -C interesting-commits push ssh://git-us.linaro.org/toolchain/ci/interesting-commits.git HEAD:refs/heads/master
+DRYRUN: git -C interesting-commits push ssh://git-us.linaro.org/toolchain/ci/interesting-commits.git HEAD:refs/heads/master
++ break
+ '[' full '!=' full ']'
+ gnu_generate_extra_details
+ set -euf -o pipefail
+ '[' -d artifacts/sumfiles ']'
-+ wait 1532693
++ wait 2260303
+ gcc-compare-results/compare_tests -compr none -pass-thresh 0.9 base-artifacts/sumfiles artifacts/sumfiles
+ check_if_first_report
+ declare -g first_icommit_to_report
+ first_icommit_to_report=false
-+ '[' xsingle_component '!=' xsingle_commit ']'
-+ return
++ '[' xsingle_commit '!=' xsingle_commit ']'
++ local isubdir
+++ interesting_subdir glibc 807849965bbdeaa9b0a8f675d098efc520eeaaa8
+++ local dir=glibc/sha1
+++ '[' 2 -ge 2 ']'
+++ dir=glibc/sha1/807849965bbdeaa9b0a8f675d098efc520eeaaa8
+++ '[' 2 -ge 3 ']'
+++ '[' 2 -ge 4 ']'
+++ echo glibc/sha1/807849965bbdeaa9b0a8f675d098efc520eeaaa8
++ isubdir=glibc/sha1/807849965bbdeaa9b0a8f675d098efc520eeaaa8
++ '[' -f interesting-commits/glibc/sha1/807849965bbdeaa9b0a8f675d098efc520eeaaa8/first_url ']'
++ local first_url
+++ cat interesting-commits/glibc/sha1/807849965bbdeaa9b0a8f675d098efc520eeaaa8/first_url
++ first_url=https://ci.linaro.org/job/tcwg_glibc_check--master-arm-build/734/
+++ get_current_manifest BUILD_URL
+++ get_manifest artifacts/manifest.sh BUILD_URL
+++ set +x
++ '[' https://ci.linaro.org/job/tcwg_glibc_check--master-arm-build/734/ = https://ci.linaro.org/job/tcwg_glibc_check--master-arm-build/734/ ']'
++ first_icommit_to_report=true
+ post_interesting_commits full
-# post_interesting_commits
+ set -euf -o pipefail
+ echo '# post_interesting_commits'
+# post_interesting_commits
+ local stage=full
-+ '[' single_component '!=' single_commit ']'
-+ return
++ '[' single_commit '!=' single_commit ']'
++ clone_or_update_repo interesting-commits master https://git-us.linaro.org/toolchain/ci/interesting-commits.git auto master
++ set -euf -o pipefail
++ local dir=interesting-commits
++ local ref=master
++ local url=https://git-us.linaro.org/toolchain/ci/interesting-commits.git
++ local reference=auto
++ local single_branch=master
++ local remote=origin
++ clone_or_update_repo_no_checkout interesting-commits https://git-us.linaro.org/toolchain/ci/interesting-commits.git auto master origin
++ set -euf -o pipefail
++ local dir=interesting-commits
++ local url=https://git-us.linaro.org/toolchain/ci/interesting-commits.git
++ local reference=auto
++ local single_branch=master
++ local remote=origin
++ local refopt=
++ case "$reference" in
++ local ref_dir
++ for ref_dir in $url $dir
+++ basename https://git-us.linaro.org/toolchain/ci/interesting-commits.git .git
++ ref_dir=interesting-commits
++ ref_dir=/home/tcwg-buildslave/snapshots-ref/interesting-commits.git
++ git -C /home/tcwg-buildslave/snapshots-ref/interesting-commits.git rev-parse --git-dir
++ '[' -d /home/tcwg-buildslave/snapshots-ref/interesting-commits.git ']'
++ for ref_dir in $url $dir
+++ basename interesting-commits .git
++ ref_dir=interesting-commits
++ ref_dir=/home/tcwg-buildslave/snapshots-ref/interesting-commits.git
++ git -C /home/tcwg-buildslave/snapshots-ref/interesting-commits.git rev-parse --git-dir
++ '[' -d /home/tcwg-buildslave/snapshots-ref/interesting-commits.git ']'
++ git -C interesting-commits status
++ '[' -d interesting-commits ']'
++ '[' x '!=' x ']'
++ '[' -d interesting-commits ']'
++ rm -f interesting-commits/.git/gc.log
++ git -C interesting-commits config gc.autoDetach false
++ git -C interesting-commits gc --auto --force --prune=all
++ find interesting-commits/.git -name '*.lock' -delete
++ local i
++ for i in am cherry-pick rebase
++ git -C interesting-commits am --abort
++ true
++ for i in am cherry-pick rebase
++ git -C interesting-commits cherry-pick --abort
++ true
++ for i in am cherry-pick rebase
++ git -C interesting-commits rebase --abort
++ true
++ break
++ '[' -d interesting-commits ']'
++ git_set_remote interesting-commits origin https://git-us.linaro.org/toolchain/ci/interesting-commits.git master
++ set -euf -o pipefail
++ local dir=interesting-commits
++ local remote=origin
++ local url=https://git-us.linaro.org/toolchain/ci/interesting-commits.git
++ local single_branch=master
++ git -C interesting-commits remote rm origin
++ git -C interesting-commits remote add -t master origin https://git-us.linaro.org/toolchain/ci/interesting-commits.git
++ local refspec
++ '[' xmaster = x ']'
++ refspec=+refs/heads/master:refs/remotes/origin/master
++ run_with_timeout_and_retry 1h 3 git -C interesting-commits fetch -q origin +refs/heads/master:refs/remotes/origin/master --prune
++ local duration=1h
++ shift
++ local tries=3
++ shift
++ local n=0
++ local ret=0
++ '[' 0 -eq 3 ']'
++ echo timeout 1h git -C interesting-commits fetch -q origin +refs/heads/master:refs/remotes/origin/master --prune
+timeout 1h git -C interesting-commits fetch -q origin +refs/heads/master:refs/remotes/origin/master --prune
++ ret=0
++ wait 2260408
++ timeout 1h git -C interesting-commits fetch -q origin +refs/heads/master:refs/remotes/origin/master --prune
++ '[' 0 -eq 0 ']'
++ break
++ return 0
++ git_checkout interesting-commits master origin
++ set -euf -o pipefail
++ local dir=interesting-commits
++ local ref=master
++ local remote=origin
++ git_clean interesting-commits
++ set -euf -o pipefail
++ local dir=interesting-commits
++ shift
++ fresh_dir interesting-commits 'interesting-commits/.git/*'
++ set -euf -o pipefail
++ local dir=interesting-commits
++ shift 1
+++ dirname interesting-commits/something
++ dir=interesting-commits
++ mkdir -p interesting-commits
++ find_opts=("!" "-path" "$dir")
++ for keep_pattern in "$@"
++ :
++ find_opts+=("!" "-path" "$keep_pattern")
+++ dirname 'interesting-commits/.git/*'
++ keep_pattern=interesting-commits/.git
++ '[' xinteresting-commits/.git = xinteresting-commits ']'
++ assert '[' interesting-commits/.git '!=' / -a interesting-commits/.git '!=' . ']'
++ set -euf -o pipefail +x
++ :
++ find_opts+=("!" "-path" "$keep_pattern")
+++ dirname interesting-commits/.git
++ keep_pattern=interesting-commits
++ '[' xinteresting-commits = xinteresting-commits ']'
++ break
++ find interesting-commits '!' -path interesting-commits '!' -path 'interesting-commits/.git/*' '!' -path interesting-commits/.git -type d -exec chmod +rwx '{}' ';'
++ chmod -R +rw interesting-commits
++ find interesting-commits '!' -path interesting-commits '!' -path 'interesting-commits/.git/*' '!' -path interesting-commits/.git -delete
++ git -C interesting-commits reset -q --hard
++ local sha1
+++ git_rev_parse interesting-commits master origin
+++ set -euf -o pipefail
+++ local dir=interesting-commits
+++ local ref=master
+++ local remote=origin
+++ '[' 3 -ge 3 ']'
+++ remote=origin
+++ git_rev_parse_1 interesting-commits master origin --short
+++ set -euf -o pipefail
+++ local dir=interesting-commits
+++ local ref=master
+++ local remote=origin
+++ local opts=--short
+++ local ret
+++ cd interesting-commits
+++ local sha1 try_ref
+++ case "$ref" in
+++ try_ref=refs/remotes/origin/master
+++ ret=0
++++ git rev-parse --short refs/remotes/origin/master
+++ sha1=147cd434f
+++ '[' 0 -ne 0 ']'
+++ echo 147cd434f
++ sha1=147cd434f
++ git -C interesting-commits checkout --detach 147cd434f
+Warning: you are leaving 1 commit behind, not connected to
+any of your branches:
+
+ f18a38133 Add entry 807849965bbdeaa9b0a8f675d098efc520eeaaa8 from https://ci.linaro.org/job/tcwg_glibc_check--master-arm-build/734/
+
+If you want to keep it by creating a new branch, this may be a good time
+to do so with:
+
+ git branch <new-branch-name> f18a38133
+
+HEAD is now at 147cd434f Add entry 426fddcbdad6746fe70e031f707fb07f55dfb405 from https://ci.linaro.org/job/tcwg_gnu_cross_check_gcc--master-arm-build/1049/
++ false
++ dryrun='echo DRYRUN: '
++ local jira_dir jira_key=
+++ interesting_subdir glibc 807849965bbdeaa9b0a8f675d098efc520eeaaa8
+++ local dir=glibc/sha1
+++ '[' 2 -ge 2 ']'
+++ dir=glibc/sha1/807849965bbdeaa9b0a8f675d098efc520eeaaa8
+++ '[' 2 -ge 3 ']'
+++ '[' 2 -ge 4 ']'
+++ echo glibc/sha1/807849965bbdeaa9b0a8f675d098efc520eeaaa8
++ jira_dir=glibc/sha1/807849965bbdeaa9b0a8f675d098efc520eeaaa8
++ jira_dir=glibc/sha1/807849965bbdeaa9b0a8f675d098efc520eeaaa8/jira
++ '[' full = full ']'
++ false
++ true
++ git -C interesting-commits remote update -p
+Fetching baseline
+Fetching origin
++ git_clean interesting-commits refs/remotes/origin/master
++ set -euf -o pipefail
++ local dir=interesting-commits
++ shift
++ fresh_dir interesting-commits 'interesting-commits/.git/*'
++ set -euf -o pipefail
++ local dir=interesting-commits
++ shift 1
+++ dirname interesting-commits/something
++ dir=interesting-commits
++ mkdir -p interesting-commits
++ find_opts=("!" "-path" "$dir")
++ for keep_pattern in "$@"
++ :
++ find_opts+=("!" "-path" "$keep_pattern")
+++ dirname 'interesting-commits/.git/*'
++ keep_pattern=interesting-commits/.git
++ '[' xinteresting-commits/.git = xinteresting-commits ']'
++ assert '[' interesting-commits/.git '!=' / -a interesting-commits/.git '!=' . ']'
++ set -euf -o pipefail +x
++ :
++ find_opts+=("!" "-path" "$keep_pattern")
+++ dirname interesting-commits/.git
++ keep_pattern=interesting-commits
++ '[' xinteresting-commits = xinteresting-commits ']'
++ break
++ find interesting-commits '!' -path interesting-commits '!' -path 'interesting-commits/.git/*' '!' -path interesting-commits/.git -type d -exec chmod +rwx '{}' ';'
++ chmod -R +rw interesting-commits
++ find interesting-commits '!' -path interesting-commits '!' -path 'interesting-commits/.git/*' '!' -path interesting-commits/.git -delete
++ git -C interesting-commits reset -q --hard refs/remotes/origin/master
+# update_interesting_commits
++ update_interesting_commits full ''
++ echo '# update_interesting_commits'
++ local stage=full
++ local jira_key=
++ local subdir3 subdir4 subdir4
+++ interesting_subdir glibc 807849965bbdeaa9b0a8f675d098efc520eeaaa8
+++ local dir=glibc/sha1
+++ '[' 2 -ge 2 ']'
+++ dir=glibc/sha1/807849965bbdeaa9b0a8f675d098efc520eeaaa8
+++ '[' 2 -ge 3 ']'
+++ '[' 2 -ge 4 ']'
+++ echo glibc/sha1/807849965bbdeaa9b0a8f675d098efc520eeaaa8
++ subdir3=glibc/sha1/807849965bbdeaa9b0a8f675d098efc520eeaaa8
+++ interesting_subdir glibc 807849965bbdeaa9b0a8f675d098efc520eeaaa8 tcwg_glibc_check
+++ local dir=glibc/sha1
+++ '[' 3 -ge 2 ']'
+++ dir=glibc/sha1/807849965bbdeaa9b0a8f675d098efc520eeaaa8
+++ '[' 3 -ge 3 ']'
+++ dir=glibc/sha1/807849965bbdeaa9b0a8f675d098efc520eeaaa8/tcwg_glibc_check
+++ '[' 3 -ge 4 ']'
+++ echo glibc/sha1/807849965bbdeaa9b0a8f675d098efc520eeaaa8/tcwg_glibc_check
++ subdir4=glibc/sha1/807849965bbdeaa9b0a8f675d098efc520eeaaa8/tcwg_glibc_check
+++ interesting_subdir glibc 807849965bbdeaa9b0a8f675d098efc520eeaaa8 tcwg_glibc_check master-arm
+++ local dir=glibc/sha1
+++ '[' 4 -ge 2 ']'
+++ dir=glibc/sha1/807849965bbdeaa9b0a8f675d098efc520eeaaa8
+++ '[' 4 -ge 3 ']'
+++ dir=glibc/sha1/807849965bbdeaa9b0a8f675d098efc520eeaaa8/tcwg_glibc_check
+++ '[' 4 -ge 4 ']'
+++ dir=glibc/sha1/807849965bbdeaa9b0a8f675d098efc520eeaaa8/tcwg_glibc_check/master-arm
+++ echo glibc/sha1/807849965bbdeaa9b0a8f675d098efc520eeaaa8/tcwg_glibc_check/master-arm
++ subdir5=glibc/sha1/807849965bbdeaa9b0a8f675d098efc520eeaaa8/tcwg_glibc_check/master-arm
++ '[' -d interesting-commits/glibc/sha1/807849965bbdeaa9b0a8f675d098efc520eeaaa8 ']'
++ mkdir -p interesting-commits/glibc/sha1/807849965bbdeaa9b0a8f675d098efc520eeaaa8
++ get_current_manifest BUILD_URL
++ get_manifest artifacts/manifest.sh BUILD_URL
++ set +x
++ git -C interesting-commits add glibc/sha1/807849965bbdeaa9b0a8f675d098efc520eeaaa8/first_url
++ mkdir -p interesting-commits/glibc/sha1/807849965bbdeaa9b0a8f675d098efc520eeaaa8/tcwg_glibc_check/master-arm
++ get_current_manifest BUILD_URL
++ get_manifest artifacts/manifest.sh BUILD_URL
++ set +x
++ echo 7b12776584c51dbecb1033e107f6b9f45de47a1b
++ git -C interesting-commits add glibc/sha1/807849965bbdeaa9b0a8f675d098efc520eeaaa8/tcwg_glibc_check/master-arm/build_url glibc/sha1/807849965bbdeaa9b0a8f675d098efc520eeaaa8/tcwg_glibc_check/master-arm/last_good
++ '[' full '!=' full ']'
++ gnu_print_result --oneline
++ false
++ local print_arg=--oneline
++ '[' -d artifacts/sumfiles ']'
++ local validate_failures=gcc-compare-results/contrib/testsuite-management/validate_failures.py
++ local xfails=artifacts/sumfiles/xfails.xfail
++ '[' -f artifacts/sumfiles/xfails.xfail ']'
++ wait 2273712
++ gcc-compare-results/contrib/testsuite-management/validate_failures.py --manifest=artifacts/sumfiles/xfails.xfail --expiry_date=20231130 --build_dir=artifacts/sumfiles --verbosity=1
++ gcc-compare-results/contrib/testsuite-management/validate_failures.py --inverse_match --manifest=artifacts/sumfiles/xfails.xfail --expiry_date=20231130 --build_dir=artifacts/sumfiles --verbosity=1
++ wait 2273713
++ local n_regressions n_progressions pass_fail=PASS
++ '[' 0 '!=' 0 ']'
+++ grep -c '^[A-Z]\+:' artifacts/notify/regressions.sum
+++ true
++ n_regressions=0
+++ grep -c '^[A-Z]\+:' artifacts/notify/progressions.sum
+++ true
++ n_progressions=0
++ printf PASS
++ '[' 0 '!=' 0 ']'
++ rm artifacts/notify/regressions.sum
++ '[' 0 '!=' 0 ']'
++ rm artifacts/notify/progressions.sum
++ printf '\n'
++ '[' --oneline = --oneline ']'
++ return 0
++ merge_status_summary interesting-commits/glibc/sha1/807849965bbdeaa9b0a8f675d098efc520eeaaa8/tcwg_glibc_check
++ set -euf -o pipefail
++ local subdir=interesting-commits/glibc/sha1/807849965bbdeaa9b0a8f675d098efc520eeaaa8/tcwg_glibc_check
++ local cur_file cur best= best_file
++ read -r cur_file
+++ find interesting-commits/glibc/sha1/807849965bbdeaa9b0a8f675d098efc520eeaaa8/tcwg_glibc_check -mindepth 2 -maxdepth 2 -name status-summary.txt
+++ sort
+++ sed -e 's/.* \([0-9]\+\)[ %].*/\1/' interesting-commits/glibc/sha1/807849965bbdeaa9b0a8f675d098efc520eeaaa8/tcwg_glibc_check/master-arm/status-summary.txt
++ cur=PASS
++ '[' PASS -le '' ']'
+/home/tcwg-buildslave/workspace/tcwg_gnu_7/jenkins-scripts/round-robin-notify.sh: line 1042: [: PASS: integer expression expected
++ best=PASS
++ best_file=interesting-commits/glibc/sha1/807849965bbdeaa9b0a8f675d098efc520eeaaa8/tcwg_glibc_check/master-arm/status-summary.txt
++ read -r cur_file
++ cat interesting-commits/glibc/sha1/807849965bbdeaa9b0a8f675d098efc520eeaaa8/tcwg_glibc_check/master-arm/status-summary.txt
++ merge_status_summary interesting-commits/glibc/sha1/807849965bbdeaa9b0a8f675d098efc520eeaaa8
++ set -euf -o pipefail
++ local subdir=interesting-commits/glibc/sha1/807849965bbdeaa9b0a8f675d098efc520eeaaa8
++ local cur_file cur best= best_file
++ read -r cur_file
+++ find interesting-commits/glibc/sha1/807849965bbdeaa9b0a8f675d098efc520eeaaa8 -mindepth 2 -maxdepth 2 -name status-summary.txt
+++ sort
+++ sed -e 's/.* \([0-9]\+\)[ %].*/\1/' interesting-commits/glibc/sha1/807849965bbdeaa9b0a8f675d098efc520eeaaa8/tcwg_glibc_check/status-summary.txt
++ cur=PASS
++ '[' PASS -le '' ']'
+/home/tcwg-buildslave/workspace/tcwg_gnu_7/jenkins-scripts/round-robin-notify.sh: line 1042: [: PASS: integer expression expected
++ best=PASS
++ best_file=interesting-commits/glibc/sha1/807849965bbdeaa9b0a8f675d098efc520eeaaa8/tcwg_glibc_check/status-summary.txt
++ read -r cur_file
++ cat interesting-commits/glibc/sha1/807849965bbdeaa9b0a8f675d098efc520eeaaa8/tcwg_glibc_check/status-summary.txt
++ git -C interesting-commits add glibc/sha1/807849965bbdeaa9b0a8f675d098efc520eeaaa8/tcwg_glibc_check/master-arm/status-summary.txt glibc/sha1/807849965bbdeaa9b0a8f675d098efc520eeaaa8/tcwg_glibc_check/status-summary.txt glibc/sha1/807849965bbdeaa9b0a8f675d098efc520eeaaa8/status-summary.txt
++ gnu_print_result --long
++ false
++ local print_arg=--long
++ '[' -d artifacts/sumfiles ']'
++ local validate_failures=gcc-compare-results/contrib/testsuite-management/validate_failures.py
++ local xfails=artifacts/sumfiles/xfails.xfail
++ '[' -f artifacts/sumfiles/xfails.xfail ']'
++ wait 2273753
++ gcc-compare-results/contrib/testsuite-management/validate_failures.py --manifest=artifacts/sumfiles/xfails.xfail --expiry_date=20231130 --build_dir=artifacts/sumfiles --verbosity=1
++ wait 2273754
++ gcc-compare-results/contrib/testsuite-management/validate_failures.py --inverse_match --manifest=artifacts/sumfiles/xfails.xfail --expiry_date=20231130 --build_dir=artifacts/sumfiles --verbosity=1
++ local n_regressions n_progressions pass_fail=PASS
++ '[' 0 '!=' 0 ']'
+++ grep -c '^[A-Z]\+:' artifacts/notify/regressions.sum
+++ true
++ n_regressions=0
+++ grep -c '^[A-Z]\+:' artifacts/notify/progressions.sum
+++ true
++ n_progressions=0
++ printf PASS
++ '[' 0 '!=' 0 ']'
++ rm artifacts/notify/regressions.sum
++ '[' 0 '!=' 0 ']'
++ rm artifacts/notify/progressions.sum
++ printf '\n'
++ '[' --long = --oneline ']'
++ local length=10 outfile n_lines
++ '[' --long = --long ']'
++ length=-0
++ for outfile in regressions.sum progressions.sum
++ '[' -f artifacts/notify/regressions.sum ']'
++ continue
++ for outfile in regressions.sum progressions.sum
++ '[' -f artifacts/notify/progressions.sum ']'
++ continue
++ cat
+++ print_artifacts_url 00-sumfiles/
+++ set -euf -o pipefail
+++ local url
++++ get_current_manifest BUILD_URL
++++ get_manifest artifacts/manifest.sh BUILD_URL
++++ set +x
+++ url=https://ci.linaro.org/job/tcwg_glibc_check--master-arm-build/734/artifact/artifacts
+++ '[' '' '!=' '' ']'
+++ echo https://ci.linaro.org/job/tcwg_glibc_check--master-arm-build/734/artifact/artifacts/00-sumfiles/
+++ print_artifacts_url notify/
+++ set -euf -o pipefail
+++ local url
++++ get_current_manifest BUILD_URL
++++ get_manifest artifacts/manifest.sh BUILD_URL
++++ set +x
+++ url=https://ci.linaro.org/job/tcwg_glibc_check--master-arm-build/734/artifact/artifacts
+++ '[' '' '!=' '' ']'
+++ echo https://ci.linaro.org/job/tcwg_glibc_check--master-arm-build/734/artifact/artifacts/notify/
+++ print_artifacts_url sumfiles/xfails.xfail
+++ set -euf -o pipefail
+++ local url
++++ get_current_manifest BUILD_URL
++++ get_manifest artifacts/manifest.sh BUILD_URL
++++ set +x
+++ url=https://ci.linaro.org/job/tcwg_glibc_check--master-arm-build/734/artifact/artifacts
+++ '[' '' '!=' '' ']'
+++ echo https://ci.linaro.org/job/tcwg_glibc_check--master-arm-build/734/artifact/artifacts/sumfiles/xfails.xfail
++ cat interesting-commits/glibc/sha1/807849965bbdeaa9b0a8f675d098efc520eeaaa8/tcwg_glibc_check/master-arm/status-summary.txt
++ sed 's/^/* /'
++ print_icommits_link glibc/sha1/807849965bbdeaa9b0a8f675d098efc520eeaaa8/tcwg_glibc_check/master-arm/details.txt
++ set -euf -o pipefail
++ local path=glibc/sha1/807849965bbdeaa9b0a8f675d098efc520eeaaa8/tcwg_glibc_check/master-arm/details.txt
++ local url=https://git-us.linaro.org/toolchain/ci/interesting-commits.git
++ echo https://git-us.linaro.org/toolchain/ci/interesting-commits.git/plain/glibc/sha1/807849965bbdeaa9b0a8f675d098efc520eeaaa8/tcwg_glibc_check/master-arm/details.txt
++ cat interesting-commits/glibc/sha1/807849965bbdeaa9b0a8f675d098efc520eeaaa8/tcwg_glibc_check/master-arm/build_url
++ git -C interesting-commits add glibc/sha1/807849965bbdeaa9b0a8f675d098efc520eeaaa8/tcwg_glibc_check/master-arm/details.txt glibc/sha1/807849965bbdeaa9b0a8f675d098efc520eeaaa8/tcwg_glibc_check/master-arm/status.txt
++ '[' -f interesting-commits/glibc/sha1/807849965bbdeaa9b0a8f675d098efc520eeaaa8/tcwg_glibc_check/master-arm/summary.txt ']'
++ local bad_artifacts_url good_artifacts_url
+++ get_current_manifest BUILD_URL
+++ get_manifest artifacts/manifest.sh BUILD_URL
+++ set +x
++ bad_artifacts_url=https://ci.linaro.org/job/tcwg_glibc_check--master-arm-build/734/artifact/artifacts
+++ get_baseline_manifest BUILD_URL
+++ get_manifest base-artifacts/manifest.sh BUILD_URL false
+++ set +x
++ good_artifacts_url=https://ci.linaro.org/job/tcwg_glibc_check--master-arm-build/733/artifact/artifacts
++ cat
++ git -C interesting-commits add glibc/sha1/807849965bbdeaa9b0a8f675d098efc520eeaaa8/tcwg_glibc_check/master-arm/reproduction_instructions.txt
++ local ci_config
++ read ci_config
+++ cd interesting-commits/glibc/sha1/807849965bbdeaa9b0a8f675d098efc520eeaaa8/tcwg_glibc_check
+++ ls
++ '[' -f interesting-commits/glibc/sha1/807849965bbdeaa9b0a8f675d098efc520eeaaa8/tcwg_glibc_check/master-arm/summary.txt ']'
++ '[' -f interesting-commits/glibc/sha1/807849965bbdeaa9b0a8f675d098efc520eeaaa8/tcwg_glibc_check/master-arm/status.txt ']'
++ echo '* master-arm'
++ cat interesting-commits/glibc/sha1/807849965bbdeaa9b0a8f675d098efc520eeaaa8/tcwg_glibc_check/master-arm/status.txt
++ sed 's/^/*/'
++ read ci_config
++ '[' -f interesting-commits/glibc/sha1/807849965bbdeaa9b0a8f675d098efc520eeaaa8/tcwg_glibc_check/status-summary.txt/summary.txt ']'
++ '[' -f interesting-commits/glibc/sha1/807849965bbdeaa9b0a8f675d098efc520eeaaa8/tcwg_glibc_check/status-summary.txt/status.txt ']'
++ continue
++ read ci_config
++ '[' -f interesting-commits/glibc/sha1/807849965bbdeaa9b0a8f675d098efc520eeaaa8/tcwg_glibc_check/status.txt/summary.txt ']'
++ '[' -f interesting-commits/glibc/sha1/807849965bbdeaa9b0a8f675d098efc520eeaaa8/tcwg_glibc_check/status.txt/status.txt ']'
++ continue
++ read ci_config
++ git -C interesting-commits add glibc/sha1/807849965bbdeaa9b0a8f675d098efc520eeaaa8/tcwg_glibc_check/status.txt
++ local ci_project
++ read ci_project
+++ cd interesting-commits/glibc/sha1/807849965bbdeaa9b0a8f675d098efc520eeaaa8
+++ ls
++ '[' -f interesting-commits/glibc/sha1/807849965bbdeaa9b0a8f675d098efc520eeaaa8/first_url/status.txt ']'
++ continue
++ read ci_project
++ '[' -f interesting-commits/glibc/sha1/807849965bbdeaa9b0a8f675d098efc520eeaaa8/status-summary.txt/status.txt ']'
++ continue
++ read ci_project
++ '[' -f interesting-commits/glibc/sha1/807849965bbdeaa9b0a8f675d098efc520eeaaa8/status.txt/status.txt ']'
++ continue
++ read ci_project
++ '[' -f interesting-commits/glibc/sha1/807849965bbdeaa9b0a8f675d098efc520eeaaa8/tcwg_glibc_check/status.txt ']'
++ echo '* tcwg_glibc_check'
++ cat interesting-commits/glibc/sha1/807849965bbdeaa9b0a8f675d098efc520eeaaa8/tcwg_glibc_check/status.txt
++ sed 's/^/*/'
++ read ci_project
++ git -C interesting-commits add glibc/sha1/807849965bbdeaa9b0a8f675d098efc520eeaaa8/status.txt
++ print_commits --short
++ set -euf -o pipefail
++ false
++ local print_arg=--short
++ '[' single_commit = no_change ']'
++ local more_lines
++ '[' single_commit = single_commit ']'
++ local c=glibc
++ '[' --short = --link ']'
++ local describe
++ '[' '' = '' ']'
+++ describe_sha1 glibc 807849965bbdeaa9b0a8f675d098efc520eeaaa8 true
+++ local component=glibc
+++ local sha1=807849965bbdeaa9b0a8f675d098efc520eeaaa8
+++ local anything=true
+++ match=()
+++ local -a match
+++ case "$component" in
+++ git -C glibc describe 807849965bbdeaa9b0a8f675d098efc520eeaaa8
++ describe=glibc-2.38.9000-308-g807849965b
+++ echo glibc-2.38.9000-308-g807849965b
+++ sed 's,^basepoints/,,'
++ describe=glibc-2.38.9000-308-g807849965b
++ '[' --short = --oneline ']'
++ '[' '' = '' ']'
++ echo 'commit glibc-2.38.9000-308-g807849965b'
++ local tmpfile
+++ mktemp
++ tmpfile=/tmp/tmp.A8Jb0N1PHc
++ git -C glibc log -n1 807849965bbdeaa9b0a8f675d098efc520eeaaa8
++ tail -n +2
++ head -n 10 /tmp/tmp.A8Jb0N1PHc
+++ cat /tmp/tmp.A8Jb0N1PHc
+++ wc -l
++ more_lines=13
++ '[' 13 -gt 0 ']'
++ echo '... 13 lines of the commit log omitted.'
++ rm /tmp/tmp.A8Jb0N1PHc
++ '[' '' '!=' '' ']'
++ return 0
++ git -C interesting-commits add glibc/sha1/807849965bbdeaa9b0a8f675d098efc520eeaaa8/commit-log.txt
++ true
++ local jira_dir=glibc/sha1/807849965bbdeaa9b0a8f675d098efc520eeaaa8/jira
++ '[' -f interesting-commits/glibc/sha1/807849965bbdeaa9b0a8f675d098efc520eeaaa8/jira/key ']'
++ '[' -e interesting-commits/glibc/sha1/807849965bbdeaa9b0a8f675d098efc520eeaaa8/jira ']'
++ mkdir interesting-commits/glibc/sha1/807849965bbdeaa9b0a8f675d098efc520eeaaa8/jira
++ '[' '' '!=' '' ']'
+++ print_commits --oneline
+++ set -euf -o pipefail
+++ false
+++ local print_arg=--oneline
+++ '[' single_commit = no_change ']'
+++ local more_lines
+++ '[' single_commit = single_commit ']'
+++ local c=glibc
+++ '[' --oneline = --link ']'
+++ local describe
+++ '[' '' = '' ']'
++++ describe_sha1 glibc 807849965bbdeaa9b0a8f675d098efc520eeaaa8 true
++++ local component=glibc
++++ local sha1=807849965bbdeaa9b0a8f675d098efc520eeaaa8
++++ local anything=true
++++ match=()
++++ local -a match
++++ case "$component" in
++++ git -C glibc describe 807849965bbdeaa9b0a8f675d098efc520eeaaa8
+++ describe=glibc-2.38.9000-308-g807849965b
++++ echo glibc-2.38.9000-308-g807849965b
++++ sed 's,^basepoints/,,'
+++ describe=glibc-2.38.9000-308-g807849965b
+++ '[' --oneline = --oneline ']'
+++ echo glibc-2.38.9000-308-g807849965b
+++ return 0
+++ cat interesting-commits/glibc/sha1/807849965bbdeaa9b0a8f675d098efc520eeaaa8/status-summary.txt
++ echo glibc-2.38.9000-308-g807849965b: PASS
++ git -C interesting-commits add glibc/sha1/807849965bbdeaa9b0a8f675d098efc520eeaaa8/jira/summary
++ cat
+++ print_commits --link
+++ set -euf -o pipefail
+++ false
+++ local print_arg=--link
+++ '[' single_commit = no_change ']'
+++ local more_lines
+++ '[' single_commit = single_commit ']'
+++ local c=glibc
+++ '[' --link = --link ']'
+++ local url
++++ get_baseline_git glibc_url
++++ set -euf -o pipefail
++++ local base_artifacts=base-artifacts
++++ assert_with_msg 'ERROR: No glibc_url in baseline git' '[' -f base-artifacts/git/glibc_url ']'
++++ set -euf -o pipefail +x
++++ cat base-artifacts/git/glibc_url
+++ url=git://sourceware.org/git/glibc.git
+++ [[ git://sourceware.org/git/glibc.git =~ git://sourceware.org/git/ ]]
+++ url=glibc.git
+++ url='https://sourceware.org/git/?p=glibc.git'
+++ echo 'https://sourceware.org/git/?p=glibc.git;a=commitdiff;h=807849965bbdeaa9b0a8f675d098efc520eeaaa8'
+++ return 0
+++ cat interesting-commits/glibc/sha1/807849965bbdeaa9b0a8f675d098efc520eeaaa8/commit-log.txt
+++ cat interesting-commits/glibc/sha1/807849965bbdeaa9b0a8f675d098efc520eeaaa8/status.txt
+++ print_icommits_link glibc/sha1/807849965bbdeaa9b0a8f675d098efc520eeaaa8/jira/yaml
+++ set -euf -o pipefail
+++ local path=glibc/sha1/807849965bbdeaa9b0a8f675d098efc520eeaaa8/jira/yaml
+++ local url=https://git-us.linaro.org/toolchain/ci/interesting-commits.git
+++ echo https://git-us.linaro.org/toolchain/ci/interesting-commits.git/plain/glibc/sha1/807849965bbdeaa9b0a8f675d098efc520eeaaa8/jira/yaml
++ git -C interesting-commits add glibc/sha1/807849965bbdeaa9b0a8f675d098efc520eeaaa8/jira/description
++ update_jira_card
++ set -euf -o pipefail
++ echo '# update_jira_card'
+# update_jira_card
++ local jira_dir
+++ interesting_subdir glibc 807849965bbdeaa9b0a8f675d098efc520eeaaa8
+++ local dir=glibc/sha1
+++ '[' 2 -ge 2 ']'
+++ dir=glibc/sha1/807849965bbdeaa9b0a8f675d098efc520eeaaa8
+++ '[' 2 -ge 3 ']'
+++ '[' 2 -ge 4 ']'
+++ echo glibc/sha1/807849965bbdeaa9b0a8f675d098efc520eeaaa8
++ jira_dir=glibc/sha1/807849965bbdeaa9b0a8f675d098efc520eeaaa8
++ jira_dir=glibc/sha1/807849965bbdeaa9b0a8f675d098efc520eeaaa8/jira
++ components=()
++ local -a components
++ case "$changed_single_component" in
++ components+=(Glibc)
++ IFS=,
++ echo Glibc
++ git -C interesting-commits add glibc/sha1/807849965bbdeaa9b0a8f675d098efc520eeaaa8/jira/components
++ local commit_date
+++ git -C glibc log -n1 --pretty=%cd --date=iso 807849965bbdeaa9b0a8f675d098efc520eeaaa8
++ commit_date='2023-11-30 13:31:23 +0100'
++ date -d '2023-11-30 13:31:23 +0100' +%Y-%m-%d
++ git -C interesting-commits add glibc/sha1/807849965bbdeaa9b0a8f675d098efc520eeaaa8/jira/startdate
++ local key project
+++ print_jira_card_key
+++ set -euf -o pipefail
+++ local jira_dir
++++ interesting_subdir glibc 807849965bbdeaa9b0a8f675d098efc520eeaaa8
++++ local dir=glibc/sha1
++++ '[' 2 -ge 2 ']'
++++ dir=glibc/sha1/807849965bbdeaa9b0a8f675d098efc520eeaaa8
++++ '[' 2 -ge 3 ']'
++++ '[' 2 -ge 4 ']'
++++ echo glibc/sha1/807849965bbdeaa9b0a8f675d098efc520eeaaa8
+++ jira_dir=glibc/sha1/807849965bbdeaa9b0a8f675d098efc520eeaaa8
+++ jira_dir=glibc/sha1/807849965bbdeaa9b0a8f675d098efc520eeaaa8/jira
+++ '[' -f interesting-commits/glibc/sha1/807849965bbdeaa9b0a8f675d098efc520eeaaa8/jira/key ']'
+++ return 0
++ key=
++ '[' -z '' ']'
++ echo 'WARNING: no existing jira card interesting-commits/glibc/sha1/807849965bbdeaa9b0a8f675d098efc520eeaaa8/jira/key'
+WARNING: no existing jira card interesting-commits/glibc/sha1/807849965bbdeaa9b0a8f675d098efc520eeaaa8/jira/key
++ return 0
++ local describe
+++ describe_sha1 glibc 807849965bbdeaa9b0a8f675d098efc520eeaaa8 false
+++ local component=glibc
+++ local sha1=807849965bbdeaa9b0a8f675d098efc520eeaaa8
+++ local anything=false
+++ match=()
+++ local -a match
+++ case "$component" in
+++ git -C glibc describe 807849965bbdeaa9b0a8f675d098efc520eeaaa8
++ describe=glibc-2.38.9000-308-g807849965b
++ '[' glibc-2.38.9000-308-g807849965b '!=' '' ']'
++ local d
+++ dirname glibc-2.38.9000-308-g807849965b
++ d=.
++ mkdir -p interesting-commits/glibc/.
++ local symlink=
++ '[' . '!=' . ']'
++ symlink=sha1/807849965bbdeaa9b0a8f675d098efc520eeaaa8
++ rm -f interesting-commits/glibc/glibc-2.38.9000-308-g807849965b
++ ln -s sha1/807849965bbdeaa9b0a8f675d098efc520eeaaa8 interesting-commits/glibc/glibc-2.38.9000-308-g807849965b
++ git -C interesting-commits add glibc/glibc-2.38.9000-308-g807849965b
+++ get_current_manifest BUILD_URL
+++ get_manifest artifacts/manifest.sh BUILD_URL
+++ set +x
++ git -C interesting-commits commit -m 'Add entry 807849965bbdeaa9b0a8f675d098efc520eeaaa8 from https://ci.linaro.org/job/tcwg_glibc_check--master-arm-build/734/'
+[detached HEAD 4ca5ce42d] Add entry 807849965bbdeaa9b0a8f675d098efc520eeaaa8 from https://ci.linaro.org/job/tcwg_glibc_check--master-arm-build/734/
+ 17 files changed, 78 insertions(+)
+ create mode 120000 glibc/glibc-2.38.9000-308-g807849965b
+ create mode 100644 glibc/sha1/807849965bbdeaa9b0a8f675d098efc520eeaaa8/commit-log.txt
+ create mode 100644 glibc/sha1/807849965bbdeaa9b0a8f675d098efc520eeaaa8/first_url
+ create mode 100644 glibc/sha1/807849965bbdeaa9b0a8f675d098efc520eeaaa8/jira/components
+ create mode 100644 glibc/sha1/807849965bbdeaa9b0a8f675d098efc520eeaaa8/jira/description
+ create mode 100644 glibc/sha1/807849965bbdeaa9b0a8f675d098efc520eeaaa8/jira/startdate
+ create mode 100644 glibc/sha1/807849965bbdeaa9b0a8f675d098efc520eeaaa8/jira/summary
+ create mode 100644 glibc/sha1/807849965bbdeaa9b0a8f675d098efc520eeaaa8/status-summary.txt
+ create mode 100644 glibc/sha1/807849965bbdeaa9b0a8f675d098efc520eeaaa8/status.txt
+ create mode 100644 glibc/sha1/807849965bbdeaa9b0a8f675d098efc520eeaaa8/tcwg_glibc_check/master-arm/build_url
+ create mode 100644 glibc/sha1/807849965bbdeaa9b0a8f675d098efc520eeaaa8/tcwg_glibc_check/master-arm/details.txt
+ create mode 100644 glibc/sha1/807849965bbdeaa9b0a8f675d098efc520eeaaa8/tcwg_glibc_check/master-arm/last_good
+ create mode 100644 glibc/sha1/807849965bbdeaa9b0a8f675d098efc520eeaaa8/tcwg_glibc_check/master-arm/reproduction_instructions.txt
+ create mode 100644 glibc/sha1/807849965bbdeaa9b0a8f675d098efc520eeaaa8/tcwg_glibc_check/master-arm/status-summary.txt
+ create mode 100644 glibc/sha1/807849965bbdeaa9b0a8f675d098efc520eeaaa8/tcwg_glibc_check/master-arm/status.txt
+ create mode 100644 glibc/sha1/807849965bbdeaa9b0a8f675d098efc520eeaaa8/tcwg_glibc_check/status-summary.txt
+ create mode 100644 glibc/sha1/807849965bbdeaa9b0a8f675d098efc520eeaaa8/tcwg_glibc_check/status.txt
++ wait 2274130
++ echo DRYRUN: git -C interesting-commits push ssh://git-us.linaro.org/toolchain/ci/interesting-commits.git HEAD:refs/heads/master
+DRYRUN: git -C interesting-commits push ssh://git-us.linaro.org/toolchain/ci/interesting-commits.git HEAD:refs/heads/master
++ break
+ true
+ generate_jira_dir
+ set -euf -o pipefail
@@ -204,11 +1099,23 @@
++ set -euf -o pipefail
++ local print_arg=--entry
++ shift 1
-++ '[' xsingle_component '!=' xsingle_commit ']'
-++ return 0
-+ icommit_entry=
-+ '[' '' '!=' '' ']'
-+ mkdir -p artifacts/notify/jira
+++ '[' xsingle_commit '!=' xsingle_commit ']'
+++ local isubdir
++++ interesting_subdir glibc 807849965bbdeaa9b0a8f675d098efc520eeaaa8
++++ local dir=glibc/sha1
++++ '[' 2 -ge 2 ']'
++++ dir=glibc/sha1/807849965bbdeaa9b0a8f675d098efc520eeaaa8
++++ '[' 2 -ge 3 ']'
++++ '[' 2 -ge 4 ']'
++++ echo glibc/sha1/807849965bbdeaa9b0a8f675d098efc520eeaaa8
+++ isubdir=glibc/sha1/807849965bbdeaa9b0a8f675d098efc520eeaaa8
+++ case "$print_arg" in
+++ echo interesting-commits/glibc/sha1/807849965bbdeaa9b0a8f675d098efc520eeaaa8
++ icommit_entry=interesting-commits/glibc/sha1/807849965bbdeaa9b0a8f675d098efc520eeaaa8
++ '[' interesting-commits/glibc/sha1/807849965bbdeaa9b0a8f675d098efc520eeaaa8 '!=' '' ']'
++ '[' -d interesting-commits/glibc/sha1/807849965bbdeaa9b0a8f675d098efc520eeaaa8/jira ']'
++ rsync -a interesting-commits/glibc/sha1/807849965bbdeaa9b0a8f675d098efc520eeaaa8/jira/ artifacts/notify/jira/
++ '[' -f artifacts/notify/jira/key ']'
+ '[' '' '!=' '' ']'
+ cat
++ print_jira_template_card
@@ -222,10 +1129,10 @@
++ local validate_failures=gcc-compare-results/contrib/testsuite-management/validate_failures.py
++ local xfails=artifacts/sumfiles/xfails.xfail
++ '[' -f artifacts/sumfiles/xfails.xfail ']'
-++ wait 1532738
-++ gcc-compare-results/contrib/testsuite-management/validate_failures.py --manifest=artifacts/sumfiles/xfails.xfail --expiry_date=20231129 --build_dir=artifacts/sumfiles --verbosity=1
-++ wait 1532739
-++ gcc-compare-results/contrib/testsuite-management/validate_failures.py --inverse_match --manifest=artifacts/sumfiles/xfails.xfail --expiry_date=20231129 --build_dir=artifacts/sumfiles --verbosity=1
+++ wait 2274141
+++ gcc-compare-results/contrib/testsuite-management/validate_failures.py --manifest=artifacts/sumfiles/xfails.xfail --expiry_date=20231130 --build_dir=artifacts/sumfiles --verbosity=1
+++ gcc-compare-results/contrib/testsuite-management/validate_failures.py --inverse_match --manifest=artifacts/sumfiles/xfails.xfail --expiry_date=20231130 --build_dir=artifacts/sumfiles --verbosity=1
+++ wait 2274142
++ local n_regressions n_progressions pass_fail=PASS
++ '[' 0 '!=' 0 ']'
+++ grep -c '^[A-Z]\+:' artifacts/notify/regressions.sum
@@ -248,11 +1155,11 @@
+++ get_current_manifest BUILD_URL
+++ get_manifest artifacts/manifest.sh BUILD_URL
+++ set +x
-++ url=https://ci.linaro.org/job/tcwg_glibc_check--master-arm-build/733/artifact/artifacts
+++ url=https://ci.linaro.org/job/tcwg_glibc_check--master-arm-build/734/artifact/artifacts
++ '[' '' '!=' '' ']'
-++ echo 'https://ci.linaro.org/job/tcwg_glibc_check--master-arm-build/733/artifact/artifacts/notify/mail-body.txt/*view*/'
-+ echo '# print all notification files'
+++ echo 'https://ci.linaro.org/job/tcwg_glibc_check--master-arm-build/734/artifact/artifacts/notify/mail-body.txt/*view*/'
# print all notification files
++ echo '# print all notification files'
+ true
+ generate_mail_files
+ set -euf -o pipefail
@@ -273,19 +1180,15 @@
++ assert_with_msg 'ERROR: No glibc_rev in baseline git' '[' -f base-artifacts/git/glibc_rev ']'
++ set -euf -o pipefail +x
++ cat base-artifacts/git/glibc_rev
-+ base_rev=9469261cf1924d350feeec64d2c80cafbbdcdd4d
++ base_rev=7b12776584c51dbecb1033e107f6b9f45de47a1b
++ get_current_git glibc_rev
++ set -euf -o pipefail
++ assert_with_msg 'ERROR: No glibc_rev in current git' '[' -f artifacts/git/glibc_rev ']'
++ set -euf -o pipefail +x
++ cat artifacts/git/glibc_rev
-+ cur_rev=7b12776584c51dbecb1033e107f6b9f45de47a1b
-+ read -r email
-++ git -C glibc log --pretty=%ae 9469261cf1924d350feeec64d2c80cafbbdcdd4d..7b12776584c51dbecb1033e107f6b9f45de47a1b
-+ emails["$email"]=cc
-+ read -r email
-+ emails["$email"]=cc
++ cur_rev=807849965bbdeaa9b0a8f675d098efc520eeaaa8
+ read -r email
+++ git -C glibc log --pretty=%ae 7b12776584c51dbecb1033e107f6b9f45de47a1b..807849965bbdeaa9b0a8f675d098efc520eeaaa8
+ emails["$email"]=cc
+ read -r email
+ local precommit_postcommit=postcommit
@@ -296,19 +1199,15 @@
++ assert_with_msg 'ERROR: No glibc_rev in baseline git' '[' -f base-artifacts/git/glibc_rev ']'
++ set -euf -o pipefail +x
++ cat base-artifacts/git/glibc_rev
-+ base_rev=9469261cf1924d350feeec64d2c80cafbbdcdd4d
++ base_rev=7b12776584c51dbecb1033e107f6b9f45de47a1b
++ get_current_git glibc_rev
++ set -euf -o pipefail
++ assert_with_msg 'ERROR: No glibc_rev in current git' '[' -f artifacts/git/glibc_rev ']'
++ set -euf -o pipefail +x
++ cat artifacts/git/glibc_rev
-+ cur_rev=7b12776584c51dbecb1033e107f6b9f45de47a1b
-+ read -r email
-++ git -C glibc log --pretty=%ce 9469261cf1924d350feeec64d2c80cafbbdcdd4d..7b12776584c51dbecb1033e107f6b9f45de47a1b
-+ emails["$email"]=to
-+ read -r email
-+ emails["$email"]=to
++ cur_rev=807849965bbdeaa9b0a8f675d098efc520eeaaa8
+ read -r email
+++ git -C glibc log --pretty=%ce 7b12776584c51dbecb1033e107f6b9f45de47a1b..807849965bbdeaa9b0a8f675d098efc520eeaaa8
+ emails["$email"]=to
+ read -r email
+ unset 'emails[author]' 'emails[committer]'
@@ -331,53 +1230,33 @@
+ case "$precommit_postcommit:$type" in
+ case "$type" in
+ recipients+=("$email")
-+ for email in "${!emails[@]}"
-+ type=to
-+ case "$precommit_postcommit:$type" in
-+ case "$type" in
-+ recipients+=("$email")
-+ for email in "${!emails[@]}"
-+ type=cc
-+ case "$precommit_postcommit:$type" in
-+ case "$type" in
-+ recipients+=("$type:$email")
+ IFS=,
-+ echo cc:linaro-toolchain@lists.linaro.org,bcc:tcwg-validation@linaro.org,szabolcs.nagy@arm.com,adhemerval.zanella@linaro.org,cc:Joe.Ramsay@arm.com
++ echo cc:linaro-toolchain@lists.linaro.org,bcc:tcwg-validation@linaro.org,stli@linux.ibm.com
++ print_commits --oneline
++ set -euf -o pipefail
++ false
++ local print_arg=--oneline
-++ '[' single_component = no_change ']'
+++ '[' single_commit = no_change ']'
++ local more_lines
-++ '[' single_component = single_commit ']'
-++ '[' single_component = single_component ']'
-++ local new_commits c base_rev cur_rev c_commits components
-++ local commits_or_patches
-++ '[' '' '!=' '' ']'
-++ commits_or_patches=commits
-++ new_commits=0
-++ for c in "${changed_components[@]}"
-+++ get_baseline_git glibc_rev
-+++ set -euf -o pipefail
-+++ local base_artifacts=base-artifacts
-+++ assert_with_msg 'ERROR: No glibc_rev in baseline git' '[' -f base-artifacts/git/glibc_rev ']'
-+++ set -euf -o pipefail +x
-+++ cat base-artifacts/git/glibc_rev
-++ base_rev=9469261cf1924d350feeec64d2c80cafbbdcdd4d
-+++ get_current_git glibc_rev
-+++ set -euf -o pipefail
-+++ assert_with_msg 'ERROR: No glibc_rev in current git' '[' -f artifacts/git/glibc_rev ']'
-+++ set -euf -o pipefail +x
-+++ cat artifacts/git/glibc_rev
-++ cur_rev=7b12776584c51dbecb1033e107f6b9f45de47a1b
-+++ git -C glibc rev-list --count 9469261cf1924d350feeec64d2c80cafbbdcdd4d..7b12776584c51dbecb1033e107f6b9f45de47a1b
-++ c_commits=3
-++ new_commits=3
-+++ echo glibc
-+++ tr ' ' ,
-++ components=glibc
-++ echo '3 commits in glibc'
+++ '[' single_commit = single_commit ']'
+++ local c=glibc
+++ '[' --oneline = --link ']'
+++ local describe
+++ '[' '' = '' ']'
++++ describe_sha1 glibc 807849965bbdeaa9b0a8f675d098efc520eeaaa8 true
++++ local component=glibc
++++ local sha1=807849965bbdeaa9b0a8f675d098efc520eeaaa8
++++ local anything=true
++++ match=()
++++ local -a match
++++ case "$component" in
++++ git -C glibc describe 807849965bbdeaa9b0a8f675d098efc520eeaaa8
+++ describe=glibc-2.38.9000-308-g807849965b
++++ echo glibc-2.38.9000-308-g807849965b
++++ sed 's,^basepoints/,,'
+++ describe=glibc-2.38.9000-308-g807849965b
++ '[' --oneline = --oneline ']'
+++ echo glibc-2.38.9000-308-g807849965b
++ return 0
++ gnu_print_result --oneline
++ false
@@ -386,10 +1265,10 @@
++ local validate_failures=gcc-compare-results/contrib/testsuite-management/validate_failures.py
++ local xfails=artifacts/sumfiles/xfails.xfail
++ '[' -f artifacts/sumfiles/xfails.xfail ']'
-++ wait 1532795
-++ gcc-compare-results/contrib/testsuite-management/validate_failures.py --manifest=artifacts/sumfiles/xfails.xfail --expiry_date=20231129 --build_dir=artifacts/sumfiles --verbosity=1
-++ wait 1532796
-++ gcc-compare-results/contrib/testsuite-management/validate_failures.py --inverse_match --manifest=artifacts/sumfiles/xfails.xfail --expiry_date=20231129 --build_dir=artifacts/sumfiles --verbosity=1
+++ wait 2274190
+++ gcc-compare-results/contrib/testsuite-management/validate_failures.py --manifest=artifacts/sumfiles/xfails.xfail --expiry_date=20231130 --build_dir=artifacts/sumfiles --verbosity=1
+++ gcc-compare-results/contrib/testsuite-management/validate_failures.py --inverse_match --manifest=artifacts/sumfiles/xfails.xfail --expiry_date=20231130 --build_dir=artifacts/sumfiles --verbosity=1
+++ wait 2274191
++ local n_regressions n_progressions pass_fail=PASS
++ '[' 0 '!=' 0 ']'
+++ grep -c '^[A-Z]\+:' artifacts/notify/regressions.sum
@@ -431,21 +1310,44 @@
++ case "$print_arg" in
++ case "$ci_config" in
++ echo arm
-+ echo '[Linaro-TCWG-CI]' '3 commits in glibc: PASS on arm'
++ echo '[Linaro-TCWG-CI]' 'glibc-2.38.9000-308-g807849965b: PASS on arm'
+ print_mail_body
+ local bad_artifacts_url good_artifacts_url
++ get_current_manifest BUILD_URL
++ get_manifest artifacts/manifest.sh BUILD_URL
++ set +x
-+ bad_artifacts_url=https://ci.linaro.org/job/tcwg_glibc_check--master-arm-build/733/artifact/artifacts
++ bad_artifacts_url=https://ci.linaro.org/job/tcwg_glibc_check--master-arm-build/734/artifact/artifacts
++ get_baseline_manifest BUILD_URL
++ get_manifest base-artifacts/manifest.sh BUILD_URL false
++ set +x
-+ good_artifacts_url=https://ci.linaro.org/job/tcwg_glibc_check--master-arm-build/730/artifact/artifacts
++ good_artifacts_url=https://ci.linaro.org/job/tcwg_glibc_check--master-arm-build/733/artifact/artifacts
+ local key=
-+ '[' single_component = single_commit ']'
++ '[' single_commit = single_commit ']'
++ '[' '' = '' ']'
+++ print_jira_card_key
+++ set -euf -o pipefail
+++ local jira_dir
++++ interesting_subdir glibc 807849965bbdeaa9b0a8f675d098efc520eeaaa8
++++ local dir=glibc/sha1
++++ '[' 2 -ge 2 ']'
++++ dir=glibc/sha1/807849965bbdeaa9b0a8f675d098efc520eeaaa8
++++ '[' 2 -ge 3 ']'
++++ '[' 2 -ge 4 ']'
++++ echo glibc/sha1/807849965bbdeaa9b0a8f675d098efc520eeaaa8
+++ jira_dir=glibc/sha1/807849965bbdeaa9b0a8f675d098efc520eeaaa8
+++ jira_dir=glibc/sha1/807849965bbdeaa9b0a8f675d098efc520eeaaa8/jira
+++ '[' -f interesting-commits/glibc/sha1/807849965bbdeaa9b0a8f675d098efc520eeaaa8/jira/key ']'
+++ return 0
++ key=
++ '[' -z '' ']'
+++ print_jira_template_card
+++ local jira_card=GNU-692
+++ case "$ci_project/$ci_config:$changed_single_component" in
+++ echo GNU-692
++ key=GNU-692
++ cat
++ '[' GNU-692 '!=' '' ']'
+ cat
-+ '[' '' '!=' '' ']'
+ cat
++ gnu_print_config --short
++ false
@@ -472,56 +1374,40 @@
++ set -euf -o pipefail
++ false
++ local print_arg=--short
-++ '[' single_component = no_change ']'
+++ '[' single_commit = no_change ']'
++ local more_lines
-++ '[' single_component = single_commit ']'
-++ '[' single_component = single_component ']'
-++ local new_commits c base_rev cur_rev c_commits components
-++ local commits_or_patches
-++ '[' '' '!=' '' ']'
-++ commits_or_patches=commits
-++ new_commits=0
-++ for c in "${changed_components[@]}"
-+++ get_baseline_git glibc_rev
-+++ set -euf -o pipefail
-+++ local base_artifacts=base-artifacts
-+++ assert_with_msg 'ERROR: No glibc_rev in baseline git' '[' -f base-artifacts/git/glibc_rev ']'
-+++ set -euf -o pipefail +x
-+++ cat base-artifacts/git/glibc_rev
-++ base_rev=9469261cf1924d350feeec64d2c80cafbbdcdd4d
-+++ get_current_git glibc_rev
-+++ set -euf -o pipefail
-+++ assert_with_msg 'ERROR: No glibc_rev in current git' '[' -f artifacts/git/glibc_rev ']'
-+++ set -euf -o pipefail +x
-+++ cat artifacts/git/glibc_rev
-++ cur_rev=7b12776584c51dbecb1033e107f6b9f45de47a1b
-+++ git -C glibc rev-list --count 9469261cf1924d350feeec64d2c80cafbbdcdd4d..7b12776584c51dbecb1033e107f6b9f45de47a1b
-++ c_commits=3
-++ new_commits=3
-+++ echo glibc
-+++ tr ' ' ,
-++ components=glibc
-++ echo '3 commits in glibc'
+++ '[' single_commit = single_commit ']'
+++ local c=glibc
+++ '[' --short = --link ']'
+++ local describe
+++ '[' '' = '' ']'
++++ describe_sha1 glibc 807849965bbdeaa9b0a8f675d098efc520eeaaa8 true
++++ local component=glibc
++++ local sha1=807849965bbdeaa9b0a8f675d098efc520eeaaa8
++++ local anything=true
++++ match=()
++++ local -a match
++++ case "$component" in
++++ git -C glibc describe 807849965bbdeaa9b0a8f675d098efc520eeaaa8
+++ describe=glibc-2.38.9000-308-g807849965b
++++ echo glibc-2.38.9000-308-g807849965b
++++ sed 's,^basepoints/,,'
+++ describe=glibc-2.38.9000-308-g807849965b
++ '[' --short = --oneline ']'
-++ for c in "${changed_components[@]}"
-+++ get_baseline_git glibc_rev
-+++ set -euf -o pipefail
-+++ local base_artifacts=base-artifacts
-+++ assert_with_msg 'ERROR: No glibc_rev in baseline git' '[' -f base-artifacts/git/glibc_rev ']'
-+++ set -euf -o pipefail +x
-+++ cat base-artifacts/git/glibc_rev
-++ base_rev=9469261cf1924d350feeec64d2c80cafbbdcdd4d
-+++ get_current_git glibc_rev
-+++ set -euf -o pipefail
-+++ assert_with_msg 'ERROR: No glibc_rev in current git' '[' -f artifacts/git/glibc_rev ']'
-+++ set -euf -o pipefail +x
-+++ cat artifacts/git/glibc_rev
-++ cur_rev=7b12776584c51dbecb1033e107f6b9f45de47a1b
-+++ git -C glibc rev-list --count 9469261cf1924d350feeec64d2c80cafbbdcdd4d..7b12776584c51dbecb1033e107f6b9f45de47a1b
-++ c_commits=3
-++ '[' '' '!=' '' ']'
-++ git -C glibc log -n 5 --oneline 9469261cf1924d350feeec64d2c80cafbbdcdd4d..7b12776584c51dbecb1033e107f6b9f45de47a1b
-++ '[' 3 -gt 5 ']'
+++ '[' '' = '' ']'
+++ echo 'commit glibc-2.38.9000-308-g807849965b'
+++ local tmpfile
++++ mktemp
+++ tmpfile=/tmp/tmp.DnuHg5aYNp
+++ git -C glibc log -n1 807849965bbdeaa9b0a8f675d098efc520eeaaa8
+++ tail -n +2
+++ head -n 10 /tmp/tmp.DnuHg5aYNp
++++ cat /tmp/tmp.DnuHg5aYNp
++++ wc -l
+++ more_lines=13
+++ '[' 13 -gt 0 ']'
+++ echo '... 13 lines of the commit log omitted.'
+++ rm /tmp/tmp.DnuHg5aYNp
++ '[' '' '!=' '' ']'
++ return 0
++ gnu_print_result --short
@@ -531,10 +1417,10 @@
++ local validate_failures=gcc-compare-results/contrib/testsuite-management/validate_failures.py
++ local xfails=artifacts/sumfiles/xfails.xfail
++ '[' -f artifacts/sumfiles/xfails.xfail ']'
-++ wait 1532860
-++ gcc-compare-results/contrib/testsuite-management/validate_failures.py --manifest=artifacts/sumfiles/xfails.xfail --expiry_date=20231129 --build_dir=artifacts/sumfiles --verbosity=1
-++ wait 1532861
-++ gcc-compare-results/contrib/testsuite-management/validate_failures.py --inverse_match --manifest=artifacts/sumfiles/xfails.xfail --expiry_date=20231129 --build_dir=artifacts/sumfiles --verbosity=1
+++ wait 2274249
+++ gcc-compare-results/contrib/testsuite-management/validate_failures.py --manifest=artifacts/sumfiles/xfails.xfail --expiry_date=20231130 --build_dir=artifacts/sumfiles --verbosity=1
+++ wait 2274250
+++ gcc-compare-results/contrib/testsuite-management/validate_failures.py --inverse_match --manifest=artifacts/sumfiles/xfails.xfail --expiry_date=20231130 --build_dir=artifacts/sumfiles --verbosity=1
++ local n_regressions n_progressions pass_fail=PASS
++ '[' 0 '!=' 0 ']'
+++ grep -c '^[A-Z]\+:' artifacts/notify/regressions.sum
@@ -565,27 +1451,27 @@
++++ get_current_manifest BUILD_URL
++++ get_manifest artifacts/manifest.sh BUILD_URL
++++ set +x
-+++ url=https://ci.linaro.org/job/tcwg_glibc_check--master-arm-build/733/artifact/artifacts
++++ url=https://ci.linaro.org/job/tcwg_glibc_check--master-arm-build/734/artifact/artifacts
+++ '[' '' '!=' '' ']'
-+++ echo https://ci.linaro.org/job/tcwg_glibc_check--master-arm-build/733/artifact/artifacts/00-sumfiles/
++++ echo https://ci.linaro.org/job/tcwg_glibc_check--master-arm-build/734/artifact/artifacts/00-sumfiles/
+++ print_artifacts_url notify/
+++ set -euf -o pipefail
+++ local url
++++ get_current_manifest BUILD_URL
++++ get_manifest artifacts/manifest.sh BUILD_URL
++++ set +x
-+++ url=https://ci.linaro.org/job/tcwg_glibc_check--master-arm-build/733/artifact/artifacts
++++ url=https://ci.linaro.org/job/tcwg_glibc_check--master-arm-build/734/artifact/artifacts
+++ '[' '' '!=' '' ']'
-+++ echo https://ci.linaro.org/job/tcwg_glibc_check--master-arm-build/733/artifact/artifacts/notify/
++++ echo https://ci.linaro.org/job/tcwg_glibc_check--master-arm-build/734/artifact/artifacts/notify/
+++ print_artifacts_url sumfiles/xfails.xfail
+++ set -euf -o pipefail
+++ local url
++++ get_current_manifest BUILD_URL
++++ get_manifest artifacts/manifest.sh BUILD_URL
++++ set +x
-+++ url=https://ci.linaro.org/job/tcwg_glibc_check--master-arm-build/733/artifact/artifacts
++++ url=https://ci.linaro.org/job/tcwg_glibc_check--master-arm-build/734/artifact/artifacts
+++ '[' '' '!=' '' ']'
-+++ echo https://ci.linaro.org/job/tcwg_glibc_check--master-arm-build/733/artifact/artifacts/sumfiles/xfails.xfail
++++ echo https://ci.linaro.org/job/tcwg_glibc_check--master-arm-build/734/artifact/artifacts/sumfiles/xfails.xfail
++ gnu_print_config --long
++ false
++ . /home/tcwg-buildslave/workspace/tcwg_gnu_7/jenkins-scripts/tcwg_gnu-config.sh
@@ -606,17 +1492,80 @@
++ local print_arg=--long
++ case "$print_arg" in
++ echo 'CI config tcwg_glibc_check master-arm'
-+ '[' single_component '!=' single_commit ']'
-+ return
++ '[' single_commit '!=' single_commit ']'
++ '[' '' '!=' '' ']'
++ cat
+++ print_last_icommit --reproduction_instructions_link tcwg_glibc_check master-arm
+++ false
+++ set -euf -o pipefail
+++ local print_arg=--reproduction_instructions_link
+++ shift 1
+++ '[' xsingle_commit '!=' xsingle_commit ']'
+++ local isubdir
++++ interesting_subdir glibc 807849965bbdeaa9b0a8f675d098efc520eeaaa8 tcwg_glibc_check master-arm
++++ local dir=glibc/sha1
++++ '[' 4 -ge 2 ']'
++++ dir=glibc/sha1/807849965bbdeaa9b0a8f675d098efc520eeaaa8
++++ '[' 4 -ge 3 ']'
++++ dir=glibc/sha1/807849965bbdeaa9b0a8f675d098efc520eeaaa8/tcwg_glibc_check
++++ '[' 4 -ge 4 ']'
++++ dir=glibc/sha1/807849965bbdeaa9b0a8f675d098efc520eeaaa8/tcwg_glibc_check/master-arm
++++ echo glibc/sha1/807849965bbdeaa9b0a8f675d098efc520eeaaa8/tcwg_glibc_check/master-arm
+++ isubdir=glibc/sha1/807849965bbdeaa9b0a8f675d098efc520eeaaa8/tcwg_glibc_check/master-arm
+++ case "$print_arg" in
+++ print_icommits_link glibc/sha1/807849965bbdeaa9b0a8f675d098efc520eeaaa8/tcwg_glibc_check/master-arm/reproduction_instructions.txt
+++ set -euf -o pipefail
+++ local path=glibc/sha1/807849965bbdeaa9b0a8f675d098efc520eeaaa8/tcwg_glibc_check/master-arm/reproduction_instructions.txt
+++ local url=https://git-us.linaro.org/toolchain/ci/interesting-commits.git
+++ echo https://git-us.linaro.org/toolchain/ci/interesting-commits.git/plain/glibc/sha1/807849965bbdeaa9b0a8f675d098efc520eeaaa8/tcwg_glibc_check/master-arm/reproduction_instructions.txt
+++ print_commits --link
+++ set -euf -o pipefail
+++ false
+++ local print_arg=--link
+++ '[' single_commit = no_change ']'
+++ local more_lines
+++ '[' single_commit = single_commit ']'
+++ local c=glibc
+++ '[' --link = --link ']'
+++ local url
++++ get_baseline_git glibc_url
++++ set -euf -o pipefail
++++ local base_artifacts=base-artifacts
++++ assert_with_msg 'ERROR: No glibc_url in baseline git' '[' -f base-artifacts/git/glibc_url ']'
++++ set -euf -o pipefail +x
++++ cat base-artifacts/git/glibc_url
+++ url=git://sourceware.org/git/glibc.git
+++ [[ git://sourceware.org/git/glibc.git =~ git://sourceware.org/git/ ]]
+++ url=glibc.git
+++ url='https://sourceware.org/git/?p=glibc.git'
+++ echo 'https://sourceware.org/git/?p=glibc.git;a=commitdiff;h=807849965bbdeaa9b0a8f675d098efc520eeaaa8'
+++ return 0
+++ print_last_icommit --status
+++ false
+++ set -euf -o pipefail
+++ local print_arg=--status
+++ shift 1
+++ '[' xsingle_commit '!=' xsingle_commit ']'
+++ local isubdir
++++ interesting_subdir glibc 807849965bbdeaa9b0a8f675d098efc520eeaaa8
++++ local dir=glibc/sha1
++++ '[' 2 -ge 2 ']'
++++ dir=glibc/sha1/807849965bbdeaa9b0a8f675d098efc520eeaaa8
++++ '[' 2 -ge 3 ']'
++++ '[' 2 -ge 4 ']'
++++ echo glibc/sha1/807849965bbdeaa9b0a8f675d098efc520eeaaa8
+++ isubdir=glibc/sha1/807849965bbdeaa9b0a8f675d098efc520eeaaa8
+++ case "$print_arg" in
+++ cat interesting-commits/glibc/sha1/807849965bbdeaa9b0a8f675d098efc520eeaaa8/status.txt
+ true
+ generate_jenkins_html_files
-+ wait 1532904
++ wait 2274308
+ set -euf -o pipefail
# generate_jenkins_html_files
-... Skipping
+ echo '# generate_jenkins_html_files'
+ true
+ case "$ci_project" in
+... Skipping
+ echo '... Skipping'
+ return
+ generate_readme html
@@ -726,29 +1675,29 @@
+ set -euf -o pipefail
+ local text_type=txt
+ case $text_type in
-+ echo '# generate dashboard'
# generate dashboard
+# generate_dashboard_squad
+... Skipping
++ echo '# generate dashboard'
+ generate_dashboard_squad
+ local results_date
-# generate_dashboard_squad
+ echo '# generate_dashboard_squad'
-... Skipping
+ false
+ echo '... Skipping'
+ return
-# post_dashboard_squad
+ post_dashboard_squad
-+ echo '# post_dashboard_squad'
+# post_dashboard_squad
... Skipping
++ echo '# post_dashboard_squad'
+ false
+ echo '... Skipping'
+ return
+ generate_lnt_report
-+ wait 1532936
++ wait 2274340
+ set -euf -o pipefail
+ local results_date
-# generate_lnt_report
+ echo '# generate_lnt_report'
+# generate_lnt_report
+ true
+ . /home/tcwg-buildslave/workspace/tcwg_gnu_7/jenkins-scripts/lnt-utils.sh
+ calculate_results_date
@@ -764,51 +1713,51 @@
++ assert_with_msg 'ERROR: No glibc in current git' '[' -f base-artifacts/git/glibc_rev ']'
++ set -euf -o pipefail +x
+++ cat base-artifacts/git/glibc_rev
-++ git -C glibc show --no-patch --pretty=%ct 9469261cf1924d350feeec64d2c80cafbbdcdd4d
-+ base_d=1701194779
+++ git -C glibc show --no-patch --pretty=%ct 7b12776584c51dbecb1033e107f6b9f45de47a1b
++ base_d=1701270216
++ get_current_component_date glibc
++ set -euf -o pipefail
++ assert_with_msg 'ERROR: No glibc in current git' '[' -f artifacts/git/glibc_rev ']'
++ set -euf -o pipefail +x
+++ cat artifacts/git/glibc_rev
-++ git -C glibc show --no-patch --pretty=%ct 7b12776584c51dbecb1033e107f6b9f45de47a1b
-+ cur_d=1701270216
-+ '[' x1701194779 '!=' x ']'
-+ '[' x1701270216 = x ']'
-+ '[' 1701270216 -lt 1701194779 ']'
-+ '[' x1701270216 = x ']'
-+ '[' 1701270216 -gt 0 ']'
-+ results_date=1701270216
-+ assert_with_msg 'Failed to produce results_date' '[' 1701270216 -gt 0 ']'
+++ git -C glibc show --no-patch --pretty=%ct 807849965bbdeaa9b0a8f675d098efc520eeaaa8
++ cur_d=1701347483
++ '[' x1701270216 '!=' x ']'
++ '[' x1701347483 = x ']'
++ '[' 1701347483 -lt 1701270216 ']'
++ '[' x1701347483 = x ']'
++ '[' 1701347483 -gt 0 ']'
++ results_date=1701347483
++ assert_with_msg 'Failed to produce results_date' '[' 1701347483 -gt 0 ']'
+ set -euf -o pipefail +x
++ get_baseline_manifest '{rr[results_date]}'
++ get_manifest base-artifacts/manifest.sh '{rr[results_date]}' false
++ set +x
-+ base_d=1701118718
-+ '[' 1701118718 '!=' '' ']'
-+ assert '[' 1701270216 -ge 1701118718 ']'
++ base_d=1701194467
++ '[' 1701194467 '!=' '' ']'
++ assert '[' 1701347483 -ge 1701194467 ']'
+ set -euf -o pipefail +x
-+ '[' 1701270216 -gt 1701118718 ']'
-+ results_date=1701194467
-+ rr[results_date]=1701194467
++ '[' 1701347483 -gt 1701194467 ']'
++ results_date=1701270975
++ rr[results_date]=1701270975
+ cat
+ manifest_out
+ cat
++ get_current_manifest '{rr[results_date]}'
++ get_manifest artifacts/manifest.sh '{rr[results_date]}'
++ set +x
-+ results_date=1701194467
-++ date '+%Y-%m-%d %H:%M:%S' --date @1701194467
-+ results_date='2023-11-28 18:01:07'
++ results_date=1701270975
+++ date '+%Y-%m-%d %H:%M:%S' --date @1701270975
++ results_date='2023-11-29 15:16:15'
+ case "$ci_project" in
++ get_current_manifest BUILD_URL
++ get_manifest artifacts/manifest.sh BUILD_URL
++ set +x
-+ generate_lnt_gnu_check_report https://ci.linaro.org/job/tcwg_glibc_check--master-arm-build/733/ tcwg_glibc_check master-arm '2023-11-28 18:01:07' artifacts/sumfiles artifacts/notify/lnt_report.json
-+ local build_url=https://ci.linaro.org/job/tcwg_glibc_check--master-arm-build/733/
++ generate_lnt_gnu_check_report https://ci.linaro.org/job/tcwg_glibc_check--master-arm-build/734/ tcwg_glibc_check master-arm '2023-11-29 15:16:15' artifacts/sumfiles artifacts/notify/lnt_report.json
++ local build_url=https://ci.linaro.org/job/tcwg_glibc_check--master-arm-build/734/
+ local ci_project=tcwg_glibc_check
+ local ci_config=master-arm
-+ local 'results_date=2023-11-28 18:01:07'
++ local 'results_date=2023-11-29 15:16:15'
+ local sumfiles_dir=artifacts/sumfiles
+ local output_file=artifacts/notify/lnt_report.json
+ local -a sumfiles
@@ -818,8 +1767,8 @@
+ local lnt_testsuite=tcwg_glibc_check
+ local machine_name=master-arm
+ local build_number
-++ basename https://ci.linaro.org/job/tcwg_glibc_check--master-arm-build/733/
-+ build_number=733
+++ basename https://ci.linaro.org/job/tcwg_glibc_check--master-arm-build/734/
++ build_number=734
+ additional_run_infos=("tag:$lnt_testsuite" "run_order:$build_number" "test_url:$build_url")
++ get_current_manifest '{rr[components]}'
++ get_manifest artifacts/manifest.sh '{rr[components]}'
@@ -840,16 +1789,16 @@
+++ assert_with_msg 'ERROR: No glibc_rev in current git' '[' -f artifacts/git/glibc_rev ']'
+++ set -euf -o pipefail +x
+++ cat artifacts/git/glibc_rev
-++ rev=7b12776584c51dbecb1033e107f6b9f45de47a1b
+++ rev=807849965bbdeaa9b0a8f675d098efc520eeaaa8
++ [[ git://sourceware.org/git/glibc.git =~ git://sourceware.org/git/ ]]
++ url=glibc.git
++ url='https://sourceware.org/git/?p=glibc.git'
-++ echo 'https://sourceware.org/git/?p=glibc.git;a=commit;h=7b12776584c51dbecb1033e107f6b9f45de47a1b'
-+ report_header master-arm '2023-11-28 18:01:07' tag:tcwg_glibc_check run_order:733 test_url:https://ci.linaro.org/job/tcwg_glibc_check--master-arm-build/733/ 'git_glibc:https://sourceware.org/git/?p=glibc.git;a=commit;h=7b12776584c51dbecb1033e107f6b9f45de47a1b'
+++ echo 'https://sourceware.org/git/?p=glibc.git;a=commit;h=807849965bbdeaa9b0a8f675d098efc520eeaaa8'
++ report_header master-arm '2023-11-29 15:16:15' tag:tcwg_glibc_check run_order:734 test_url:https://ci.linaro.org/job/tcwg_glibc_check--master-arm-build/734/ 'git_glibc:https://sourceware.org/git/?p=glibc.git;a=commit;h=807849965bbdeaa9b0a8f675d098efc520eeaaa8'
+ local machine_name=master-arm
-+ local 'date_time=2023-11-28 18:01:07'
++ local 'date_time=2023-11-29 15:16:15'
+ shift 2
-+ run_infos=('tag:tcwg_glibc_check' 'run_order:733' 'test_url:https://ci.linaro.org/job/tcwg_glibc_check--master-arm-build/733/' 'git_glibc:https://sourceware.org/git/?p=glibc.git;a=commit;h=7b12776584c51dbecb1033e107f6b9f45de47a1b')
++ run_infos=('tag:tcwg_glibc_check' 'run_order:734' 'test_url:https://ci.linaro.org/job/tcwg_glibc_check--master-arm-build/734/' 'git_glibc:https://sourceware.org/git/?p=glibc.git;a=commit;h=807849965bbdeaa9b0a8f675d098efc520eeaaa8')
+ local run_infos
+ cat
+ for i in "${run_infos[@]}"
@@ -861,29 +1810,29 @@
+ val=tcwg_glibc_check
+ echo ' "tag": "tcwg_glibc_check",'
+ for i in "${run_infos[@]}"
-++ echo run_order:733
+++ echo run_order:734
++ cut -d: -f1
+ tag=run_order
-++ echo run_order:733
+++ echo run_order:734
++ cut -d: -f2-
-+ val=733
-+ echo ' "run_order": "733",'
++ val=734
++ echo ' "run_order": "734",'
+ for i in "${run_infos[@]}"
-++ echo test_url:https://ci.linaro.org/job/tcwg_glibc_check--master-arm-build/733/
+++ echo test_url:https://ci.linaro.org/job/tcwg_glibc_check--master-arm-build/734/
++ cut -d: -f1
+ tag=test_url
-++ echo test_url:https://ci.linaro.org/job/tcwg_glibc_check--master-arm-build/733/
+++ echo test_url:https://ci.linaro.org/job/tcwg_glibc_check--master-arm-build/734/
++ cut -d: -f2-
-+ val=https://ci.linaro.org/job/tcwg_glibc_check--master-arm-build/733/
-+ echo ' "test_url": "https://ci.linaro.org/job/tcwg_glibc_check--master-arm-build/733/",'
++ val=https://ci.linaro.org/job/tcwg_glibc_check--master-arm-build/734/
++ echo ' "test_url": "https://ci.linaro.org/job/tcwg_glibc_check--master-arm-build/734/",'
+ for i in "${run_infos[@]}"
-++ echo 'git_glibc:https://sourceware.org/git/?p=glibc.git;a=commit;h=7b12776584c51dbecb1033e107f6b9f45de47a1b'
+++ echo 'git_glibc:https://sourceware.org/git/?p=glibc.git;a=commit;h=807849965bbdeaa9b0a8f675d098efc520eeaaa8'
++ cut -d: -f1
+ tag=git_glibc
-++ echo 'git_glibc:https://sourceware.org/git/?p=glibc.git;a=commit;h=7b12776584c51dbecb1033e107f6b9f45de47a1b'
+++ echo 'git_glibc:https://sourceware.org/git/?p=glibc.git;a=commit;h=807849965bbdeaa9b0a8f675d098efc520eeaaa8'
++ cut -d: -f2-
-+ val='https://sourceware.org/git/?p=glibc.git;a=commit;h=7b12776584c51dbecb1033e107f6b9f45de47a1b'
-+ echo ' "git_glibc": "https://sourceware.org/git/?p=glibc.git;a=commit;h=7b12776584c51dbecb1033e107f6b9f45de47a1b",'
++ val='https://sourceware.org/git/?p=glibc.git;a=commit;h=807849965bbdeaa9b0a8f675d098efc520eeaaa8'
++ echo ' "git_glibc": "https://sourceware.org/git/?p=glibc.git;a=commit;h=807849965bbdeaa9b0a8f675d098efc520eeaaa8",'
+ cat
+ all_fields=('FAIL' 'KFAIL' 'XFAIL' 'PASS' 'XPASS' 'UNRESOLVED' 'UNSUPPORTED' 'UNTESTED' 'ERROR' 'OTHER')
+ local all_fields
@@ -28359,5 +29308,5 @@
+ false
+ false
+ false
-+ echo 'Full stage ran successfully.'
Full stage ran successfully.
++ echo 'Full stage ran successfully.'
diff --git a/jenkins/notify-init.log b/jenkins/notify-init.log
index ec0736c..ba0a04f 100644
--- a/jenkins/notify-init.log
+++ b/jenkins/notify-init.log
@@ -26,17 +26,17 @@
++ get_baseline_manifest BUILD_URL
++ get_manifest base-artifacts/manifest.sh BUILD_URL false
++ set +x
-# Baseline : https://ci.linaro.org/job/tcwg_glibc_check--master-arm-build/730/
-+ echo '# Baseline : https://ci.linaro.org/job/tcwg_glibc_check--master-arm-build/730/'
+# Baseline : https://ci.linaro.org/job/tcwg_glibc_check--master-arm-build/733/
# Using dir : base-artifacts
++ echo '# Baseline : https://ci.linaro.org/job/tcwg_glibc_check--master-arm-build/733/'
+ echo '# Using dir : base-artifacts'
++ get_current_manifest BUILD_URL
++ get_manifest artifacts/manifest.sh BUILD_URL
++ set +x
-# Artifacts : https://ci.linaro.org/job/tcwg_glibc_check--master-arm-build/733/
+# Artifacts : https://ci.linaro.org/job/tcwg_glibc_check--master-arm-build/734/
# Using dir : artifacts
-+ echo '# Artifacts : https://ci.linaro.org/job/tcwg_glibc_check--master-arm-build/733/'
++ echo '# Artifacts : https://ci.linaro.org/job/tcwg_glibc_check--master-arm-build/734/'
+ echo '# Using dir : artifacts'
+ echo ''
+ mkdir -p artifacts/notify
@@ -45,9 +45,9 @@
+ case "$notify" in
+ declare -Ag pw
+ '[' ignore = precommit ']'
+# check_source_changes
+ check_source_changes
+ echo '# check_source_changes'
-# check_source_changes
++ get_current_manifest '{rr[update_baseline]}'
++ get_manifest artifacts/manifest.sh '{rr[update_baseline]}'
++ set +x
@@ -77,7 +77,7 @@
+++ assert_with_msg 'ERROR: No glibc_rev in baseline git' '[' -f base-artifacts/git/glibc_rev ']'
+++ set -euf -o pipefail +x
+++ cat base-artifacts/git/glibc_rev
-++ '[' x7b12776584c51dbecb1033e107f6b9f45de47a1b '!=' x9469261cf1924d350feeec64d2c80cafbbdcdd4d ']'
+++ '[' x807849965bbdeaa9b0a8f675d098efc520eeaaa8 '!=' x7b12776584c51dbecb1033e107f6b9f45de47a1b ']'
++ echo -ne glibc
++ delim=' '
++ echo
@@ -90,17 +90,17 @@
++ assert_with_msg 'ERROR: No glibc_rev in current git' '[' -f artifacts/git/glibc_rev ']'
++ set -euf -o pipefail +x
++ cat artifacts/git/glibc_rev
-+ first_bad=7b12776584c51dbecb1033e107f6b9f45de47a1b
++ first_bad=807849965bbdeaa9b0a8f675d098efc520eeaaa8
++ get_baseline_git glibc_rev
++ set -euf -o pipefail
++ local base_artifacts=base-artifacts
++ assert_with_msg 'ERROR: No glibc_rev in baseline git' '[' -f base-artifacts/git/glibc_rev ']'
++ set -euf -o pipefail +x
++ cat base-artifacts/git/glibc_rev
-+ last_good=9469261cf1924d350feeec64d2c80cafbbdcdd4d
++ last_good=7b12776584c51dbecb1033e107f6b9f45de47a1b
+ local res
+ res=0
-+ wait 1532556
++ wait 2233411
+ git -C glibc rev-parse --verify HEAD
+ assert_with_msg 'Cannot parse HEAD in repo glibc' '[' 0 = 0 ']'
+ set -euf -o pipefail +x
@@ -114,22 +114,22 @@
++ assert_with_msg 'ERROR: No glibc_rev in baseline git' '[' -f base-artifacts/git/glibc_rev ']'
++ set -euf -o pipefail +x
++ cat base-artifacts/git/glibc_rev
-+ base_rev=9469261cf1924d350feeec64d2c80cafbbdcdd4d
++ base_rev=7b12776584c51dbecb1033e107f6b9f45de47a1b
++ get_current_git glibc_rev
++ set -euf -o pipefail
++ assert_with_msg 'ERROR: No glibc_rev in current git' '[' -f artifacts/git/glibc_rev ']'
++ set -euf -o pipefail +x
++ cat artifacts/git/glibc_rev
-+ cur_rev=7b12776584c51dbecb1033e107f6b9f45de47a1b
-++ git -C glibc rev-parse '7b12776584c51dbecb1033e107f6b9f45de47a1b^@'
++ cur_rev=807849965bbdeaa9b0a8f675d098efc520eeaaa8
+++ git -C glibc rev-parse '807849965bbdeaa9b0a8f675d098efc520eeaaa8^@'
+ for sha1 in $(git -C "$c" rev-parse "$cur_rev^@")
-+ '[' bc6d79f4ae99206e7ec7d6a8c5abf26cdefc8bff = 9469261cf1924d350feeec64d2c80cafbbdcdd4d ']'
-+ return 1
-+ change_kind=single_component
++ '[' 7b12776584c51dbecb1033e107f6b9f45de47a1b = 7b12776584c51dbecb1033e107f6b9f45de47a1b ']'
++ return 0
++ change_kind=single_commit
# Debug traces :
-# change_kind=single_component : glibc
+ echo '# Debug traces :'
-+ echo '# change_kind=single_component : glibc'
+# change_kind=single_commit : glibc
++ echo '# change_kind=single_commit : glibc'
+ for c in "${changed_components[@]}"
++ get_baseline_git glibc_rev
++ set -euf -o pipefail
@@ -137,18 +137,18 @@
++ assert_with_msg 'ERROR: No glibc_rev in baseline git' '[' -f base-artifacts/git/glibc_rev ']'
++ set -euf -o pipefail +x
++ cat base-artifacts/git/glibc_rev
-+ base_rev=9469261cf1924d350feeec64d2c80cafbbdcdd4d
++ base_rev=7b12776584c51dbecb1033e107f6b9f45de47a1b
++ get_current_git glibc_rev
++ set -euf -o pipefail
++ assert_with_msg 'ERROR: No glibc_rev in current git' '[' -f artifacts/git/glibc_rev ']'
++ set -euf -o pipefail +x
++ cat artifacts/git/glibc_rev
-+ cur_rev=7b12776584c51dbecb1033e107f6b9f45de47a1b
-++ git -C glibc rev-list --count 9469261cf1924d350feeec64d2c80cafbbdcdd4d..7b12776584c51dbecb1033e107f6b9f45de47a1b
-+ c_commits=3
-# rev for glibc : 9469261cf1924d350feeec64d2c80cafbbdcdd4d..7b12776584c51dbecb1033e107f6b9f45de47a1b (3 commits)
++ cur_rev=807849965bbdeaa9b0a8f675d098efc520eeaaa8
+++ git -C glibc rev-list --count 7b12776584c51dbecb1033e107f6b9f45de47a1b..807849965bbdeaa9b0a8f675d098efc520eeaaa8
++ c_commits=1
+# rev for glibc : 7b12776584c51dbecb1033e107f6b9f45de47a1b..807849965bbdeaa9b0a8f675d098efc520eeaaa8 (1 commits)
-+ echo '# rev for glibc : 9469261cf1924d350feeec64d2c80cafbbdcdd4d..7b12776584c51dbecb1033e107f6b9f45de47a1b (3 commits)'
++ echo '# rev for glibc : 7b12776584c51dbecb1033e107f6b9f45de47a1b..807849965bbdeaa9b0a8f675d098efc520eeaaa8 (1 commits)'
+ echo ''
+ setup_stages_to_run
+ '[' ignore = onregression ']'
@@ -175,9 +175,266 @@
# post_interesting_commits
+ echo '# post_interesting_commits'
+ local stage=init
-+ '[' single_component '!=' single_commit ']'
++ '[' single_commit '!=' single_commit ']'
++ clone_or_update_repo interesting-commits master https://git-us.linaro.org/toolchain/ci/interesting-commits.git auto master
++ set -euf -o pipefail
++ local dir=interesting-commits
++ local ref=master
++ local url=https://git-us.linaro.org/toolchain/ci/interesting-commits.git
++ local reference=auto
++ local single_branch=master
++ local remote=origin
++ clone_or_update_repo_no_checkout interesting-commits https://git-us.linaro.org/toolchain/ci/interesting-commits.git auto master origin
++ set -euf -o pipefail
++ local dir=interesting-commits
++ local url=https://git-us.linaro.org/toolchain/ci/interesting-commits.git
++ local reference=auto
++ local single_branch=master
++ local remote=origin
++ local refopt=
++ case "$reference" in
++ local ref_dir
++ for ref_dir in $url $dir
+++ basename https://git-us.linaro.org/toolchain/ci/interesting-commits.git .git
++ ref_dir=interesting-commits
++ ref_dir=/home/tcwg-buildslave/snapshots-ref/interesting-commits.git
++ git -C /home/tcwg-buildslave/snapshots-ref/interesting-commits.git rev-parse --git-dir
++ '[' -d /home/tcwg-buildslave/snapshots-ref/interesting-commits.git ']'
++ for ref_dir in $url $dir
+++ basename interesting-commits .git
++ ref_dir=interesting-commits
++ ref_dir=/home/tcwg-buildslave/snapshots-ref/interesting-commits.git
++ git -C /home/tcwg-buildslave/snapshots-ref/interesting-commits.git rev-parse --git-dir
++ '[' -d /home/tcwg-buildslave/snapshots-ref/interesting-commits.git ']'
++ git -C interesting-commits status
++ '[' -d interesting-commits ']'
++ '[' x '!=' x ']'
++ '[' -d interesting-commits ']'
++ rm -f interesting-commits/.git/gc.log
++ git -C interesting-commits config gc.autoDetach false
++ git -C interesting-commits gc --auto --force --prune=all
++ find interesting-commits/.git -name '*.lock' -delete
++ local i
++ for i in am cherry-pick rebase
++ git -C interesting-commits am --abort
++ true
++ for i in am cherry-pick rebase
++ git -C interesting-commits cherry-pick --abort
++ true
++ for i in am cherry-pick rebase
++ git -C interesting-commits rebase --abort
++ true
++ break
++ '[' -d interesting-commits ']'
++ git_set_remote interesting-commits origin https://git-us.linaro.org/toolchain/ci/interesting-commits.git master
++ set -euf -o pipefail
++ local dir=interesting-commits
++ local remote=origin
++ local url=https://git-us.linaro.org/toolchain/ci/interesting-commits.git
++ local single_branch=master
++ git -C interesting-commits remote rm origin
++ git -C interesting-commits remote add -t master origin https://git-us.linaro.org/toolchain/ci/interesting-commits.git
++ local refspec
++ '[' xmaster = x ']'
++ refspec=+refs/heads/master:refs/remotes/origin/master
++ run_with_timeout_and_retry 1h 3 git -C interesting-commits fetch -q origin +refs/heads/master:refs/remotes/origin/master --prune
++ local duration=1h
++ shift
++ local tries=3
++ shift
++ local n=0
++ local ret=0
++ '[' 0 -eq 3 ']'
++ echo timeout 1h git -C interesting-commits fetch -q origin +refs/heads/master:refs/remotes/origin/master --prune
+timeout 1h git -C interesting-commits fetch -q origin +refs/heads/master:refs/remotes/origin/master --prune
++ ret=0
++ wait 2233491
++ timeout 1h git -C interesting-commits fetch -q origin +refs/heads/master:refs/remotes/origin/master --prune
++ '[' 0 -eq 0 ']'
++ break
++ return 0
++ git_checkout interesting-commits master origin
++ set -euf -o pipefail
++ local dir=interesting-commits
++ local ref=master
++ local remote=origin
++ git_clean interesting-commits
++ set -euf -o pipefail
++ local dir=interesting-commits
++ shift
++ fresh_dir interesting-commits 'interesting-commits/.git/*'
++ set -euf -o pipefail
++ local dir=interesting-commits
++ shift 1
+++ dirname interesting-commits/something
++ dir=interesting-commits
++ mkdir -p interesting-commits
++ find_opts=("!" "-path" "$dir")
++ for keep_pattern in "$@"
++ :
++ find_opts+=("!" "-path" "$keep_pattern")
+++ dirname 'interesting-commits/.git/*'
++ keep_pattern=interesting-commits/.git
++ '[' xinteresting-commits/.git = xinteresting-commits ']'
++ assert '[' interesting-commits/.git '!=' / -a interesting-commits/.git '!=' . ']'
++ set -euf -o pipefail +x
++ :
++ find_opts+=("!" "-path" "$keep_pattern")
+++ dirname interesting-commits/.git
++ keep_pattern=interesting-commits
++ '[' xinteresting-commits = xinteresting-commits ']'
++ break
++ find interesting-commits '!' -path interesting-commits '!' -path 'interesting-commits/.git/*' '!' -path interesting-commits/.git -type d -exec chmod +rwx '{}' ';'
++ chmod -R +rw interesting-commits
++ find interesting-commits '!' -path interesting-commits '!' -path 'interesting-commits/.git/*' '!' -path interesting-commits/.git -delete
++ git -C interesting-commits reset -q --hard
++ local sha1
+++ git_rev_parse interesting-commits master origin
+++ set -euf -o pipefail
+++ local dir=interesting-commits
+++ local ref=master
+++ local remote=origin
+++ '[' 3 -ge 3 ']'
+++ remote=origin
+++ git_rev_parse_1 interesting-commits master origin --short
+++ set -euf -o pipefail
+++ local dir=interesting-commits
+++ local ref=master
+++ local remote=origin
+++ local opts=--short
+++ local ret
+++ cd interesting-commits
+++ local sha1 try_ref
+++ case "$ref" in
+++ try_ref=refs/remotes/origin/master
+++ ret=0
++++ git rev-parse --short refs/remotes/origin/master
+++ sha1=147cd434f
+++ '[' 0 -ne 0 ']'
+++ echo 147cd434f
++ sha1=147cd434f
++ git -C interesting-commits checkout --detach 147cd434f
+Warning: you are leaving 1 commit behind, not connected to
+any of your branches:
+
+ 74d05cefb Add entry c97aab39b81bb8b603678bc664c0de7f534a4bd5 from https://ci.linaro.org/job/tcwg_binutils_check--master-aarch64-build/483/
+
+If you want to keep it by creating a new branch, this may be a good time
+to do so with:
+
+ git branch <new-branch-name> 74d05cefb
+
+HEAD is now at 147cd434f Add entry 426fddcbdad6746fe70e031f707fb07f55dfb405 from https://ci.linaro.org/job/tcwg_gnu_cross_check_gcc--master-arm-build/1049/
++ false
++ dryrun='echo DRYRUN: '
++ local jira_dir jira_key=
+++ interesting_subdir glibc 807849965bbdeaa9b0a8f675d098efc520eeaaa8
+++ local dir=glibc/sha1
+++ '[' 2 -ge 2 ']'
+++ dir=glibc/sha1/807849965bbdeaa9b0a8f675d098efc520eeaaa8
+++ '[' 2 -ge 3 ']'
+++ '[' 2 -ge 4 ']'
+++ echo glibc/sha1/807849965bbdeaa9b0a8f675d098efc520eeaaa8
++ jira_dir=glibc/sha1/807849965bbdeaa9b0a8f675d098efc520eeaaa8
++ jira_dir=glibc/sha1/807849965bbdeaa9b0a8f675d098efc520eeaaa8/jira
++ '[' init = full ']'
++ true
++ git -C interesting-commits remote update -p
+Fetching baseline
+From ssh://review.linaro.org:29418/toolchain/ci/interesting-commits
+ 4c886891b..147cd434f master -> baseline/master
+Fetching origin
++ git_clean interesting-commits refs/remotes/origin/master
++ set -euf -o pipefail
++ local dir=interesting-commits
++ shift
++ fresh_dir interesting-commits 'interesting-commits/.git/*'
++ set -euf -o pipefail
++ local dir=interesting-commits
++ shift 1
+++ dirname interesting-commits/something
++ dir=interesting-commits
++ mkdir -p interesting-commits
++ find_opts=("!" "-path" "$dir")
++ for keep_pattern in "$@"
++ :
++ find_opts+=("!" "-path" "$keep_pattern")
+++ dirname 'interesting-commits/.git/*'
++ keep_pattern=interesting-commits/.git
++ '[' xinteresting-commits/.git = xinteresting-commits ']'
++ assert '[' interesting-commits/.git '!=' / -a interesting-commits/.git '!=' . ']'
++ set -euf -o pipefail +x
++ :
++ find_opts+=("!" "-path" "$keep_pattern")
+++ dirname interesting-commits/.git
++ keep_pattern=interesting-commits
++ '[' xinteresting-commits = xinteresting-commits ']'
++ break
++ find interesting-commits '!' -path interesting-commits '!' -path 'interesting-commits/.git/*' '!' -path interesting-commits/.git -type d -exec chmod +rwx '{}' ';'
++ chmod -R +rw interesting-commits
++ find interesting-commits '!' -path interesting-commits '!' -path 'interesting-commits/.git/*' '!' -path interesting-commits/.git -delete
++ git -C interesting-commits reset -q --hard refs/remotes/origin/master
+# update_interesting_commits
++ update_interesting_commits init ''
++ echo '# update_interesting_commits'
++ local stage=init
++ local jira_key=
++ local subdir3 subdir4 subdir4
+++ interesting_subdir glibc 807849965bbdeaa9b0a8f675d098efc520eeaaa8
+++ local dir=glibc/sha1
+++ '[' 2 -ge 2 ']'
+++ dir=glibc/sha1/807849965bbdeaa9b0a8f675d098efc520eeaaa8
+++ '[' 2 -ge 3 ']'
+++ '[' 2 -ge 4 ']'
+++ echo glibc/sha1/807849965bbdeaa9b0a8f675d098efc520eeaaa8
++ subdir3=glibc/sha1/807849965bbdeaa9b0a8f675d098efc520eeaaa8
+++ interesting_subdir glibc 807849965bbdeaa9b0a8f675d098efc520eeaaa8 tcwg_glibc_check
+++ local dir=glibc/sha1
+++ '[' 3 -ge 2 ']'
+++ dir=glibc/sha1/807849965bbdeaa9b0a8f675d098efc520eeaaa8
+++ '[' 3 -ge 3 ']'
+++ dir=glibc/sha1/807849965bbdeaa9b0a8f675d098efc520eeaaa8/tcwg_glibc_check
+++ '[' 3 -ge 4 ']'
+++ echo glibc/sha1/807849965bbdeaa9b0a8f675d098efc520eeaaa8/tcwg_glibc_check
++ subdir4=glibc/sha1/807849965bbdeaa9b0a8f675d098efc520eeaaa8/tcwg_glibc_check
+++ interesting_subdir glibc 807849965bbdeaa9b0a8f675d098efc520eeaaa8 tcwg_glibc_check master-arm
+++ local dir=glibc/sha1
+++ '[' 4 -ge 2 ']'
+++ dir=glibc/sha1/807849965bbdeaa9b0a8f675d098efc520eeaaa8
+++ '[' 4 -ge 3 ']'
+++ dir=glibc/sha1/807849965bbdeaa9b0a8f675d098efc520eeaaa8/tcwg_glibc_check
+++ '[' 4 -ge 4 ']'
+++ dir=glibc/sha1/807849965bbdeaa9b0a8f675d098efc520eeaaa8/tcwg_glibc_check/master-arm
+++ echo glibc/sha1/807849965bbdeaa9b0a8f675d098efc520eeaaa8/tcwg_glibc_check/master-arm
++ subdir5=glibc/sha1/807849965bbdeaa9b0a8f675d098efc520eeaaa8/tcwg_glibc_check/master-arm
++ '[' -d interesting-commits/glibc/sha1/807849965bbdeaa9b0a8f675d098efc520eeaaa8 ']'
++ mkdir -p interesting-commits/glibc/sha1/807849965bbdeaa9b0a8f675d098efc520eeaaa8
++ get_current_manifest BUILD_URL
++ get_manifest artifacts/manifest.sh BUILD_URL
++ set +x
++ git -C interesting-commits add glibc/sha1/807849965bbdeaa9b0a8f675d098efc520eeaaa8/first_url
++ mkdir -p interesting-commits/glibc/sha1/807849965bbdeaa9b0a8f675d098efc520eeaaa8/tcwg_glibc_check/master-arm
++ get_current_manifest BUILD_URL
++ get_manifest artifacts/manifest.sh BUILD_URL
++ set +x
++ echo 7b12776584c51dbecb1033e107f6b9f45de47a1b
++ git -C interesting-commits add glibc/sha1/807849965bbdeaa9b0a8f675d098efc520eeaaa8/tcwg_glibc_check/master-arm/build_url glibc/sha1/807849965bbdeaa9b0a8f675d098efc520eeaaa8/tcwg_glibc_check/master-arm/last_good
++ '[' init '!=' full ']'
+ return
+++ get_current_manifest BUILD_URL
+++ get_manifest artifacts/manifest.sh BUILD_URL
+++ set +x
++ git -C interesting-commits commit -m 'Add entry 807849965bbdeaa9b0a8f675d098efc520eeaaa8 from https://ci.linaro.org/job/tcwg_glibc_check--master-arm-build/734/'
+[detached HEAD 588eecdaf] Add entry 807849965bbdeaa9b0a8f675d098efc520eeaaa8 from https://ci.linaro.org/job/tcwg_glibc_check--master-arm-build/734/
+ 3 files changed, 3 insertions(+)
+ create mode 100644 glibc/sha1/807849965bbdeaa9b0a8f675d098efc520eeaaa8/first_url
+ create mode 100644 glibc/sha1/807849965bbdeaa9b0a8f675d098efc520eeaaa8/tcwg_glibc_check/master-arm/build_url
+ create mode 100644 glibc/sha1/807849965bbdeaa9b0a8f675d098efc520eeaaa8/tcwg_glibc_check/master-arm/last_good
++ wait 2246776
+DRYRUN: git -C interesting-commits push ssh://git-us.linaro.org/toolchain/ci/interesting-commits.git HEAD:refs/heads/master
++ echo DRYRUN: git -C interesting-commits push ssh://git-us.linaro.org/toolchain/ci/interesting-commits.git HEAD:refs/heads/master
++ break
+Init stage ran successfully.
+ '[' init '!=' full ']'
+ echo 'Init stage ran successfully.'
-Init stage ran successfully.
+ exit 0
diff --git a/jenkins/run-build.env b/jenkins/run-build.env
index 3135a46..7162b22 100644
--- a/jenkins/run-build.env
+++ b/jenkins/run-build.env
@@ -1,15 +1,15 @@
-build_name="#733"
+build_name="#734"
docker_opts=(--distro
default
--arch
armhf
--node
-tcwg-jade-06
+tcwg-jade-05
--security
--cap-add=SYS_ADMIN\ --security-opt\ apparmor=unconfined )
source build_container.sh
trap "cleanup_all_containers" EXIT
-build_name="#733-glibc"
+build_name="#734-glibc"
branch_opt=(==rr\[glibc_git\]
git://sourceware.org/git/glibc.git#master )
-build_name="#733-glibc-R0"
+build_name="#734-glibc-R0"